import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/bottom_navigation/dashboard_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class AddressScreen extends StatelessWidget {
  const AddressScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          Container(
            height: 175,
            width: Get.width,
            child: Column(
              children: [
                SizedBox(height: 20,),
                Padding(
                  padding:  EdgeInsets.only(left: 15.0,right: 20),
                  child: Row(
                    children: [
                      Padding(
                        padding:  EdgeInsets.only(top: 35.0),
                        child: InkWell(
                          onTap: (){
                            Get.back();
                          },
                            child: Icon(Icons.arrow_back,color: white,)
                        ),
                      ),
                      SizedBox(width: 15,),
                      Expanded(
                          child: TextField(
                            style: TextStyle(color: white, fontSize: 18,fontFamily: "RobotoRegular",decoration: TextDecoration.none,),
                             autocorrect: false,
                             enableSuggestions: false,
                             cursorColor: white,
                             decoration: InputDecoration(
                               hintText: "Enter address (some tips below)",
                               hintStyle: TextStyle(color: Colors.white60, fontSize: 18,fontFamily: "RobotoRegular",fontWeight: FontWeight.w300),
                               enabledBorder: UnderlineInputBorder(
                                   borderSide: BorderSide(color: whiteLight),
                               ),
                               focusedBorder: UnderlineInputBorder(
                                   borderSide: BorderSide(color: whiteLight),
                               ),
                               errorBorder: UnderlineInputBorder(
                                   borderSide: BorderSide(color: whiteLight),
                               ),
                               focusedErrorBorder: UnderlineInputBorder(
                                   borderSide: BorderSide(color: whiteLight),
                               ),
                             ),
                          ),
                      )
                    ],
                  ),
                ),
                SizedBox(
                  height: 15,
                ),
                Container(
                  height: 51,
                  width: Get.width,
                  alignment: Alignment.center,
                  child: Text(
                    "Aus: enter street address, e.g. 100 Burns Bay Road",
                    style: TextStyle(
                        color: Colors.white60, fontSize: 15,fontFamily: "RobotoRegular",fontWeight: FontWeight.w300
                    ),
                  ),
                  decoration: BoxDecoration(
                    color: black2d
                  ),
                )
              ],
            ),
            decoration: BoxDecoration(
              color: black
            ),
          ),
          Expanded(
            child: Stack(
              alignment: Alignment.topCenter,
              clipBehavior: Clip.none,
              children: [
                Container(
                  height: double.infinity,
                  width: Get.width,
                  child: Padding(
                    padding:  EdgeInsets.symmetric(horizontal: 20.0),
                    child: Column(
                      children: [
                        SizedBox(height: 50,),
                        MaterialButton(
                          onPressed: () {
                            Navigator.pushAndRemoveUntil(
                              context,
                              MaterialPageRoute(
                                builder: (BuildContext context) => DashBoardScreen(),
                              ),
                                  (route) => false,
                            );
                          },
                          color: white,
                          height: 54,
                          minWidth: Get.width,
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(20),
                            side: BorderSide(color: black,width: 1.0)
                          ),
                          child: Row(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: [
                              SvgPicture.asset(distance,color: black,),
                              SizedBox(width: 15,),
                              Text("Your current location",
                                style: const TextStyle(
                                    color: black,fontSize: 16,fontFamily: "RobotoMedium"
                                ),
                              ),
                            ],
                          ),
                        ),
                        SizedBox(height: 25,),
                        Image.asset(googleLogo),

                      ],
                    ),
                  ),
                  decoration: BoxDecoration(
                    color: white,
                    image: DecorationImage(
                      image: AssetImage(
                        addressBackground,
                      ),
                      alignment: Alignment.bottomCenter
                    )
                  ),
                ),
                Positioned(
                  top: -20,
                  child: CircleAvatar(
                    radius: 20,
                    backgroundColor: white,
                    child: Text(
                        "Or",
                       style: TextStyle(
                         color: black,
                         fontSize: 19,
                         fontFamily: "RobotoMedium"
                       ),
                    ),

                  ),
                ),
                Positioned(
                  bottom: 90,
                    child: Image.asset(location,height: 24,width: 24,)
                )
              ],
            ),
          )
        ],
      ),
    );
  }
}
