import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/booking_controller.dart';
import 'package:urban/screen/booking/cancelled/cancelled_booking.dart';
import 'package:urban/screen/booking/past/past_booking.dart';
import 'package:urban/screen/booking/upcoming/upcoming_booking.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class BookingScreen extends StatelessWidget {
  final BookingController bookingController = Get.put(BookingController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Padding(
        padding: EdgeInsets.symmetric(horizontal: 20.0),
        child: Column(
          children: [
            SizedBox(
              height: 50,
            ),
            Container(
                height: 50,
                width: Get.width,
                padding: EdgeInsets.all(5),
                decoration: BoxDecoration(
                    color: whiteF1, borderRadius: BorderRadius.circular(15)),
                child: TabBar(
                  tabs: bookingController.myTabs,
                  unselectedLabelColor: black,
                  labelStyle:
                      TextStyle(fontSize: 15, fontFamily: "RobotoRegular"),
                  unselectedLabelStyle:
                      TextStyle(fontSize: 15, fontFamily: "RobotoRegular"),
                  labelColor: black,
                  controller: bookingController.controller,
                  indicator: BoxDecoration(
                      borderRadius: BorderRadius.circular(12), color: yellow),
                )),
            Expanded(
              child: ScrollConfiguration(
                behavior: MyBehavior(),
                child: TabBarView(
                  controller: bookingController.controller,
                  children: [Upcoming(), PastBooking(), CancelledBooking()],
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
