import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/screen/booking/cancelled/cancelbooking_description.dart';
import 'package:urban/utills/color.dart';

class CancelledBooking extends StatelessWidget {
  final List<Map> cancelList = [
    {
      "month": "Dec",
      "date": "15",
      "year": "2021",
      "time": "10:00 AM",
      "name": "Apollonia Anderson",
      "post": "Cleaner"
    },
    {
      "month": "Dec",
      "date": "21",
      "year": "2021",
      "time": "10:00 AM",
      "name": "Apollonia Anderson",
      "post": "Cleaner"
    },
  ];

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemCount: cancelList.length,
      shrinkWrap: true,
      itemBuilder: (context, index) => Padding(
        padding: EdgeInsets.only(bottom: 12.0),
        child: Container(
          height: 110,
          width: Get.width,
          child: Padding(
            padding: EdgeInsets.symmetric(horizontal: 20.0, vertical: 15.0),
            child: InkWell(
              onTap: (){
                Get.to(()=>CancelBookingDescription());
              },
              child: Row(
                children: [
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Text(
                        cancelList[index]["month"],
                        style: TextStyle(
                            color: red,
                            fontFamily: "RobotoRegular",
                            fontSize: 14),
                      ),
                      Text(
                        cancelList[index]["date"],
                        style: TextStyle(
                            color: red, fontFamily: "RobotoMedium", fontSize: 25),
                      ),
                      Text(
                        cancelList[index]["year"],
                        style: TextStyle(
                            color: red,
                            fontFamily: "RobotoRegular",
                            fontSize: 14),
                      ),
                    ],
                  ),
                  SizedBox(
                    width: 20,
                  ),
                  SizedBox(
                    height: 73,
                    child: VerticalDivider(
                      width: 1,
                      thickness: 1,
                      color: grayDA,
                    ),
                  ),
                  SizedBox(
                    width: 15,
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        cancelList[index]["time"],
                        style: TextStyle(
                            color: black,
                            fontFamily: "RobotoMedium",
                            fontSize: 18),
                      ),
                      SizedBox(
                        height: 6,
                      ),
                      Text(
                        cancelList[index]["name"],
                        style: TextStyle(
                            color: black,
                            fontFamily: "RobotoRegular",
                            fontSize: 16),
                      ),
                      SizedBox(
                        height: 6,
                      ),
                      Text(
                        cancelList[index]["post"],
                        style: TextStyle(
                            color: blue,
                            fontFamily: "RobotoRegular",
                            fontSize: 15),
                      ),
                    ],
                  )
                ],
              ),
            ),
          ),
          decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(15),
              border: Border.all(color: whiteF1, width: 1)),
        ),
      ),
    );
  }
}
