import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/screen/booking/past/rateprovider_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';


class PastBookingDescription extends StatelessWidget {
  final List<Map> stepperLIst = [
    {"title":"Booking request sent","subTitle":"Requested on 15 March, 07:00 PM"},
    {"title":"Booking confirmed","subTitle":"Booking confirmed on 16 March, 09:00 AM"},
    {"title":"Job started","subTitle":"Schedule on 17 March, 10:00 AM"},
    {"title":"Job Completed","subTitle":"Average time 02:00 hours"},
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          appBar(() {Get.back();}, "Booking ID 2097"),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Stack(
              alignment: Alignment.bottomCenter,
              children: [
                Container(
                  color: white,
                  child: Padding(
                    padding:  EdgeInsets.symmetric(horizontal: 20.0),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        SizedBox(height: 15,),
                        Container(
                          height: 95,
                          width: Get.width,
                          // alignment: Alignment.center,
                          child:Padding(
                            padding:  EdgeInsets.symmetric(horizontal: 20.0),
                            child: Row(
                              children: [
                                Container(
                                  height: 68,
                                  width: 68,
                                  decoration: BoxDecoration(
                                      borderRadius: BorderRadius.circular(25),
                                      image: DecorationImage(
                                          image: AssetImage(person1Description),
                                          fit: BoxFit.cover
                                      )
                                  ),
                                ),
                                SizedBox(width: 15,),
                                Column(
                                  mainAxisAlignment: MainAxisAlignment.center,
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    Text("Sara Bareilles",style: TextStyle(color: black,fontFamily: "RobotoMedium",fontSize: 14),),
                                    SizedBox(height: 8,),
                                    Text("Cleaner",style: TextStyle(color: gray95,fontFamily: "RobotoRegular",fontSize: 12),),
                                    SizedBox(height: 5,),
                                    Text("₹550/hr",style: TextStyle(color: blue,fontFamily: "RobotoRegular",fontSize: 18),),
                                  ],
                                )
                              ],
                            ),
                          ),
                          decoration: BoxDecoration(
                              color: white,
                              borderRadius: BorderRadius.circular(15),
                              boxShadow: [
                                BoxShadow(
                                    color:black.withOpacity(0.18),
                                    spreadRadius: 0,
                                    blurRadius: 3
                                )
                              ]
                          ),
                        ),
                        SizedBox(height: 20,),
                        Text(
                          "Cleaning & Pest Control",
                          style: TextStyle(
                              fontSize: 20,
                              fontFamily: "RobotoBold",
                              color: black
                          ),
                        ),
                        Container(
                            color: Colors.white,
                            child: ListView.builder(
                                itemCount: stepperLIst.length,
                                shrinkWrap: true,
                                physics: NeverScrollableScrollPhysics(),
                                itemBuilder: (context, position) {
                                  return IntrinsicHeight(
                                    child: Row(
                                        crossAxisAlignment: CrossAxisAlignment.stretch,
                                        mainAxisSize: MainAxisSize.min,
                                        children: [
                                          Column(
                                            mainAxisSize: MainAxisSize.min,
                                            verticalDirection: VerticalDirection.down,
                                            children: [
                                              Container(
                                                height: 20,
                                                width: 20,
                                                child:Icon(Icons.check,size: 15,color: white,),
                                                decoration: BoxDecoration(
                                                    color: blue,
                                                    shape: BoxShape.circle,
                                                    // border: Border.all(color:position<=1?blue:whiteE8,width: 1)
                                                ),
                                              ),
                                              position<stepperLIst.length-1?Container(
                                                height: 60,
                                                width: 2,
                                                color: blue,
                                              ):Container()
                                              // CustomPaint(painter: LineDashedPainter(lineColor: Colors.grey))

                                            ],
                                          ),
                                          SizedBox(width: 10),
                                          Expanded(
                                            child: Column(
                                              mainAxisSize: MainAxisSize.min,
                                              crossAxisAlignment: CrossAxisAlignment.start,
                                              children: [
                                                Text(
                                                  stepperLIst[position]["title"],
                                                  style: TextStyle(
                                                      color: black,
                                                      fontFamily: "RobotoRegular",
                                                      fontSize: 16
                                                  ),
                                                ),
                                                Text(
                                                  stepperLIst[position]["subTitle"],
                                                  style: TextStyle(
                                                      color: gray95,
                                                      fontFamily: "RobotoRegular",
                                                      fontSize: 12
                                                  ),
                                                )

                                              ],
                                            ),
                                          )
                                        ]),
                                  );
                                }))

                      ],
                    ),
                  ),
                ),
                MaterialButton(
                  onPressed: () {
                    Get.to(()=>RateProviderScreen());
                  },
                  color: blue,
                  height: 62,
                  child: Text(
                    "Rate service provider",
                    style: TextStyle(
                        color: white, fontSize: 22, fontFamily: "RobotoBold"),
                  ),
                  shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.only(
                          topRight: Radius.circular(30),
                          topLeft: Radius.circular(30))),
                  minWidth: Get.width,
                )
              ],
            ),
          ),
        ],
      ),
    );
  }
}
