import 'package:flutter/material.dart';
import 'package:flutter_rating_bar/flutter_rating_bar.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class RateProviderScreen extends StatelessWidget {
  const RateProviderScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          appBar(() {
            Get.back();
          }, "Rate Provider"),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Container(
              color: white,
              child: Padding(
                padding: EdgeInsets.symmetric(horizontal: 20.0),
                child: ScrollConfiguration(
                  behavior: MyBehavior(),
                  child: SingleChildScrollView(
                    child: Column(
                      children: [
                        SizedBox(
                          height: 15,
                        ),
                        Container(
                          height: 95,
                          width: Get.width,
                          child: Padding(
                            padding: EdgeInsets.symmetric(horizontal: 20.0),
                            child: Row(
                              children: [
                                Container(
                                  height: 68,
                                  width: 68,
                                  decoration: BoxDecoration(
                                      borderRadius: BorderRadius.circular(25),
                                      image: DecorationImage(
                                          image: AssetImage(person1Description),
                                          fit: BoxFit.cover)),
                                ),
                                SizedBox(
                                  width: 15,
                                ),
                                Column(
                                  mainAxisAlignment: MainAxisAlignment.center,
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    Text(
                                      "Sara Bareilles",
                                      style: TextStyle(
                                          color: black,
                                          fontFamily: "RobotoMedium",
                                          fontSize: 14),
                                    ),
                                    SizedBox(
                                      height: 8,
                                    ),
                                    Text(
                                      "Cleaner",
                                      style: TextStyle(
                                          color: gray95,
                                          fontFamily: "RobotoRegular",
                                          fontSize: 12),
                                    ),
                                    SizedBox(
                                      height: 5,
                                    ),
                                    Text(
                                      "₹550/hr",
                                      style: TextStyle(
                                          color: blue,
                                          fontFamily: "RobotoRegular",
                                          fontSize: 18),
                                    ),
                                  ],
                                ),
                              ],
                            ),
                          ),
                          decoration: BoxDecoration(
                              color: white,
                              borderRadius: BorderRadius.circular(15),
                              boxShadow: [
                                BoxShadow(
                                    color: black.withOpacity(0.18),
                                    spreadRadius: 0,
                                    blurRadius: 3)
                              ]),
                        ),
                        SizedBox(
                          height: 30,
                        ),
                        Text(
                          "What is you rate?",
                          style: TextStyle(
                              color: black22,
                              fontSize: 18,
                              fontFamily: "RobotoMedium"),
                        ),
                        SizedBox(
                          height: 15,
                        ),
                        RatingBar.builder(
                          initialRating: 0,
                          minRating: 0,
                          direction: Axis.horizontal,
                          allowHalfRating: true,
                          itemCount: 5,
                          itemSize: 40,
                          unratedColor: Color(0xff9B9B9B),
                          glow: false,
                          itemPadding: EdgeInsets.all(10),
                          itemBuilder: (context, index) => SvgPicture.asset(
                            star,
                            color: yellowDark,
                          ),
                          onRatingUpdate: (rating) {
                            print(rating);
                          },
                        ),
                        SizedBox(height: 30,),
                        TextFormField(
                          style: TextStyle(
                              fontSize: 16,
                              color: black,
                              fontFamily: "RobotoRegular"),
                          cursorColor: black,
                          maxLines: 6,
                          decoration: InputDecoration(
                            hintText: "Write your review here",
                            hintStyle: TextStyle(
                              fontFamily: "RobotoRegular",
                              fontSize: 14,
                              color: Color(0xff9B9B9B)
                            ),
                            isDense: true,
                            enabledBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(8),
                                borderSide: BorderSide(color: Color(0xffE4E4E4),width: 1)),
                            focusedBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(8),
                                borderSide: BorderSide(color: Color(0xffE4E4E4),width: 1)),
                            errorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(8),
                                borderSide: BorderSide(color: Color(0xffE4E4E4),width: 1)),
                            focusedErrorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(8),
                                borderSide: BorderSide(color: Color(0xffE4E4E4),width: 1)),
                          ),
                        ),
                        SizedBox(height: 90,),
                        MaterialButton(
                          onPressed: () {
                             Get.back();
                          },
                          color: blue,
                          height: 54,
                          minWidth: Get.width,
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(20)
                          ),
                          child: Text("Submit",
                            style: const TextStyle(
                                color: white,fontSize: 16,fontFamily: "RobotoMedium"
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
