import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/home/cleaning&pesrControl/cleaning_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class Appliance extends StatelessWidget {
  const Appliance({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: Get.width>450?590:580,
      width: Get.width,
      color: white,
      child: Padding(
        padding:  EdgeInsets.symmetric(horizontal: 20.0),
        child: Column(
          children: [
            SizedBox(height: 18,),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding:  EdgeInsets.only(bottom: 3.0),
                      child: Text(
                        "Appliances",
                        style: TextStyle(
                            color: black,
                            fontSize: 20,
                            fontFamily: "RobotoBold"
                        ),
                      ),
                    ),
                    Text(
                      "Servicing Repair, Installation & Uninstallation...",
                      style: TextStyle(
                          color: gray95,
                          fontSize:12
                      ),
                    )
                  ],
                ),
                InkWell(
                  onTap: (){
                    Get.to(()=>CleaningScreen(text: "Cleaning",));
                  },
                  child: Row(
                    children: [
                      Text(
                        "View all",
                        style: TextStyle(
                            color: blue,
                            fontSize: 14,
                            fontFamily: "RobotoRegular"
                        ),
                      ),
                      SizedBox(width: 8,),
                      SvgPicture.asset(viewAll)
                    ],
                  ),
                ),
              ],
            ),
            Expanded(
              child: GridView.builder(
                itemCount: applianceList.length,
                  shrinkWrap: true,
                  physics: NeverScrollableScrollPhysics(),
                  gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                      crossAxisCount: 2,
                      childAspectRatio: Get.width>450?2/2.2:Get.width<=360?2/2.8:2/2.5,
                      crossAxisSpacing: 0,
                      mainAxisSpacing: 5
                  ),
                  itemBuilder: (context, index) => Column(
                    children: [
                      InkWell(
                        onTap: (){
                          Get.to(()=>CleaningScreen(text: "Cleaning"));
                        },
                        child: Container(
                          height: Get.width>450?200:180,
                          width: Get.width>450?180:Get.width<=360?140:155,
                          child: Image.asset(applianceList[index]["image"]),
                          decoration: BoxDecoration(
                            color: whiteF3,
                            borderRadius: BorderRadius.circular(15)
                          ),
                        ),
                      ),
                      SizedBox(height: 10,),
                      Align(
                        alignment: Alignment.topLeft,
                          child: Padding(
                            padding:  EdgeInsets.only(left: 17.0),
                            child: Text(
                              applianceList[index]["text"],
                              style: TextStyle(
                                color: black,
                                fontSize: 15,
                                fontFamily: "RobotoRegular"
                              ),
                            ),
                          )
                      )
                    ],
                  ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
