import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

import 'cleaning&pesrControl/cleaning_screen.dart';

class BestOffer extends StatelessWidget {
  const BestOffer({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 285,
      width: Get.width,
      color: white,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 18,),
          Padding(
            padding:  EdgeInsets.symmetric(horizontal: 20.0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding:  EdgeInsets.only(bottom: 3.0),
                      child: Text(
                        "Best Offers",
                        style: TextStyle(
                            color: black,
                            fontSize: 20,
                            fontFamily: "RobotoBold"
                        ),
                      ),
                    ),
                    SizedBox(
                      height: 28,
                      width: 170,
                      child: Text(
                        "Hygienic & single-use products |low - contact servics",
                        maxLines: 2,
                        style: TextStyle(
                            color: gray95,
                            fontSize:12
                        ),
                      ),
                    )
                  ],
                ),
                InkWell(
                  onTap: (){
                    Get.to(()=>CleaningScreen(text: "Cleaning",));
                  },
                  child: Row(
                    children: [
                      Text(
                        "View all",
                        style: TextStyle(
                            color: blue,
                            fontSize: 14,
                            fontFamily: "RobotoRegular"
                        ),
                      ),
                      SizedBox(width: 8,),
                      SvgPicture.asset(viewAll)
                    ],
                  ),
                ),
              ],
            ),
          ),
          SizedBox(
            height: 15,
          ),
          Expanded(
            child: Padding(
              padding:  EdgeInsets.only(left: 20.0),
              child: SizedBox(
                height: 170,
                child: ListView.builder(
                  itemCount: bestOffersList.length,
                  scrollDirection: Axis.horizontal,
                  itemBuilder: (context, index) => Padding(
                    padding: EdgeInsets.all(8.0),
                    child: InkWell(
                      onTap: (){
                        Get.to(()=>CleaningScreen(text: "Cleaning"));
                      },
                      child: Container(
                        height: 168,
                        width: Get.width/3.22,
                        child: Stack(
                          alignment: Alignment.bottomCenter,
                          children: [
                            SizedBox(
                              height: 175,
                              width: Get.width/3.22,
                              child: ClipRRect(
                                borderRadius: BorderRadius.circular(12),
                                  child: Image.asset(canvas,fit: BoxFit.fill,height: 175,)
                              ),
                            ),
                            Positioned(
                              bottom: 7,
                              child: SizedBox(
                                height: 40,
                                width: Get.width/3.51,
                                child: Text(
                                    bestOffersList[index]["text"],
                                   style: TextStyle(
                                    color: white,
                                    fontFamily: "RobotoRegular",
                                    fontSize: 14
                                ),
                                  maxLines: 2,
                                  textAlign: TextAlign.center,
                                ),
                              ),
                            )
                          ],
                        ),
                        decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(12),
                            image: DecorationImage(
                                image: AssetImage(bestOffersList[index]["image"]),
                              fit: BoxFit.cover,
                            )
                        ),
                      ),
                    ),
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
