import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/bottom_navigation/dashboard_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class BookingSuccessScreen extends StatelessWidget {
  const BookingSuccessScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: white,
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(
            child: Padding(
              padding: EdgeInsets.only(left: 20.0, right: 20, top: 50),
              child: InkWell(
                onTap: () {
                  Navigator.of(context,rootNavigator: true).pushAndRemoveUntil(
                    MaterialPageRoute(
                      builder: (BuildContext context) => DashBoardScreen(),
                    ),
                        (route) => false,
                  );
                },
                child: CircleAvatar(
                  radius: 25,
                  backgroundColor: whiteF1,
                  child: Padding(
                    padding: const EdgeInsets.only(left: 6.0),
                    child: Icon(
                      Icons.arrow_back_ios,
                      color: gray80,
                      size: 18,
                    ),
                  ),
                ),
              ),
            ),
          ),
          SizedBox(height: Get.height>850?80:40,),
          Expanded(
            child: Container(
              color: white,
              child: Padding(
                padding: EdgeInsets.symmetric(horizontal: 34.0),
                child: Column(
                  children: [
                    SvgPicture.asset(bookingBanner),
                    SizedBox(height: Get.height>850?40:30,),
                    Text(
                      "Booking Successfully!",
                      style: TextStyle(
                          color: black, fontSize: 24, fontFamily: "RobotoBold"),
                    ),
                    SizedBox(height: Get.height>850?20:15,),
                    Text(
                      "Thank you for your booking! Our representative will contact you shortly.",
                      textAlign: TextAlign.center,
                      style: TextStyle(
                          fontFamily: "RobotoRegular",
                          fontSize: 18,
                          color: gray80),
                    ),
                    SizedBox(height: Get.height>850?60:40,),
                    MaterialButton(
                      onPressed: () {
                        Navigator.of(context,rootNavigator: true).pushAndRemoveUntil(
                          MaterialPageRoute(
                            builder: (BuildContext context) => DashBoardScreen(),
                          ),
                              (route) => false,
                        );
                      },
                      color: blue,
                      height: 58,
                      minWidth: 199,
                      shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(20)),
                      child: Text(
                        "Back to Home",
                        style: const TextStyle(
                            color: white,
                            fontSize: 16,
                            fontFamily: "RobotoMedium"),
                      ),
                    ),
                  ],
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
