import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/screen/bottom_navigation/dashboard_screen.dart';
import 'package:urban/screen/home/cleaning&pesrControl/description_screen.dart';
import 'package:urban/screen/home/cleaning&pesrControl/search_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class CleaningScreen extends StatelessWidget {
  final List<Map> cleanCarperList = [
    {"image":bathroom,"text":"Bathroom and Kitchen Cleaning"},
    {"image":fullHome,"text":"Full Home Cleaning"},
    {"image":sofaCarpet,"text":"Sofa & Carpet Cleaning"},
    {"image":disinfection,"text":"Disinfection Services"},
  ];
  final String text;


  CleaningScreen({required this.text});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          Container(
            height: 122,
            width: Get.width,
            color: white,
            child: Padding(
              padding: EdgeInsets.only(left: 20.0, right: 20, top: 30),
              child: Row(
                children: [
                  InkWell(
                    onTap: () {
                      Navigator.of(context,rootNavigator: true).pushAndRemoveUntil(
                        MaterialPageRoute(
                          builder: (BuildContext context) => DashBoardScreen(),
                        ),
                            (route) => false,
                      );
                    },
                    child: CircleAvatar(
                      radius: 25,
                      backgroundColor: whiteF1,
                      child: Padding(
                        padding: const EdgeInsets.only(left: 6.0),
                        child: Icon(
                          Icons.arrow_back_ios,
                          color: gray80,
                          size: 18,
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    width: 20,
                  ),
                  Text(
                    text,
                    style: TextStyle(
                        fontSize: 20, color: black, fontFamily: "RobotoBold"),
                  ),
                  Expanded(
                      child: Align(
                        alignment: Alignment.centerRight,
                        child:
                          InkWell(
                            onTap: (){
                              Get.to(()=>SearchScreen());
                            },
                              child: Icon(CupertinoIcons.search,color: black,size: 25,)),
                      ))
                ],
              ),
            ),
          ),
          SizedBox(height: 6,),
          Expanded(
              child: Container(
                color: white,
                child: ListView.builder(
                  itemCount: cleanCarperList.length,
                    itemBuilder: (context, index) => Padding(
                      padding:  EdgeInsets.symmetric(horizontal: 20.0),
                      child: Column(
                        children: [
                          ListTile(
                            onTap: (){
                              Get.to(()=>DescriptionScreen());
                            },
                            contentPadding: EdgeInsets.zero,
                            leading: Container(
                              height: 60,
                              width: 60,
                              decoration: BoxDecoration(
                                  borderRadius: BorderRadius.circular(10),
                                  image:DecorationImage(
                                      image: AssetImage(cleanCarperList[index]["image"]),
                                      fit: BoxFit.cover
                                  )
                              ),
                            ),
                            title: Text(
                              cleanCarperList[index]["text"],
                              style: TextStyle(
                                  fontFamily: "RobotoRegular",
                                  color: black,
                                  fontSize: 16
                              ),
                            ),
                            trailing:Container(
                              height: 28,
                              width: 28,
                              child: Icon(Icons.arrow_forward_ios,color: white,),
                              decoration: BoxDecoration(
                                color: grayC3,
                                shape: BoxShape.circle
                              ),
                            )
                          ),
                          Divider(
                            color: whiteF1,
                            thickness: 1,
                          )
                        ],
                      ),
                    ),
                ),
              )
          )
        ],
      ),
    );
  }
}
