import 'package:flutter/material.dart';
import 'package:flutter_rating_bar/flutter_rating_bar.dart';
import 'package:get/get.dart';
import 'package:urban/screen/home/cleaning&pesrControl/pickAddress_screen.dart';
import 'package:urban/screen/home/cleaning&pesrControl/review_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class DescriptionScreen extends StatelessWidget {
  final List<Map> ratingList = [
    {
      "image": person1Description,
      "text": "Sara Bareilles",
      "subText": "Best service ever seen.",
      "rating": 4.0
    },
    {
      "image": person1Description,
      "text": "John Doe",
      "subText": "Best service ever seen.",
      "rating": 5.0
    },
    {
      "image": person1Description,
      "text": "Sara Bella",
      "subText": "Best service ever seen.",
      "rating": 5.0
    },
  ];
  static const rowSpacer = TableRow(children: [
    SizedBox(
      height: 8,
    ),
    SizedBox(
      height: 8,
    )
  ]);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          Container(
            height: 300,
            width: Get.width,
            child: Stack(
              children: [
                SizedBox(
                    height: 300,
                    width: Get.height,
                    child: Image.asset(
                      descriptionBackground,
                      fit: BoxFit.cover,
                    )),
                Padding(
                  padding: EdgeInsets.only(top: 55.0, left: 20, bottom: 70),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      InkWell(
                        onTap:(){
                          Get.back();
                        },
                        child: CircleAvatar(
                          radius: 25,
                          backgroundColor: white,
                          child: Padding(
                            padding: const EdgeInsets.only(left: 6.0),
                            child: Icon(
                              Icons.arrow_back_ios,
                              color: gray80,
                              size: 18,
                            ),
                          ),
                        ),
                      ),
                      Text(
                        "Full Home Cleaning",
                        style: TextStyle(
                            color: white,
                            fontSize: 27,
                            fontFamily: "RobotoBold"),
                      )
                    ],
                  ),
                )
              ],
            ),
            decoration: BoxDecoration(
                image: DecorationImage(
                    image: AssetImage(manCleaning), fit: BoxFit.cover)),
          ),
          Padding(
              padding: EdgeInsets.only(top: 250.0),
              child: Stack(
                alignment: Alignment.bottomCenter,
                children: [
                  ClipRRect(
                    borderRadius: BorderRadius.only(
                        topLeft: Radius.circular(30),
                        topRight: Radius.circular(30)),
                    child: Container(
                      height: Get.height,
                      width: Get.width,
                      child: ScrollConfiguration(
                        behavior: MyBehavior(),
                        child: SingleChildScrollView(
                          child: Column(
                            children: [
                              ClipRRect(
                                borderRadius: BorderRadius.only(
                                    topLeft: Radius.circular(30),
                                    topRight: Radius.circular(30)),
                                child: Container(
                                  height: 150,
                                  width: Get.width,
                                  child: Padding(
                                    padding: EdgeInsets.symmetric(
                                        horizontal: 20.0, vertical: 20),
                                    child: Column(
                                      crossAxisAlignment:
                                          CrossAxisAlignment.start,
                                      children: [
                                        Text(
                                          "John Doe",
                                          style: TextStyle(
                                              fontSize: 24,
                                              fontFamily: "RobotoBold",
                                              color: blue),
                                        ),
                                        SizedBox(
                                          height: 10,
                                        ),
                                        Expanded(
                                            child: Text(
                                          "Ein Haarschnitt ist ein Ergebnis von Technik und Vision. Jeder Haarschnitt beginnt mit einer vollständigen Beratung für einen personalisierten Schnitt, der Ihren Haartextur-, Gesichtsstruktur- und Stylinganforderungen entspricht",
                                          style: TextStyle(
                                            fontFamily: "RobotoRegular",
                                            fontSize: 13,
                                            color: gray95,
                                          ),
                                        ))
                                      ],
                                    ),
                                  ),
                                  decoration: BoxDecoration(
                                    color: white,
                                    // borderRadius: BorderRadius.only(topLeft: Radius.circular(30),topRight: Radius.circular(30))
                                  ),
                                ),
                              ),
                              SizedBox(
                                height: 6,
                              ),
                              Container(
                                height: 490,
                                width: Get.width,
                                color: white,
                                child: Column(
                                  children: [
                                    Padding(
                                      padding: EdgeInsets.only(
                                          left: 20.0,
                                          right: 20,
                                          top: 15,
                                          bottom: 5),
                                      child: Row(
                                        mainAxisAlignment:
                                            MainAxisAlignment.spaceBetween,
                                        children: [
                                          Column(
                                            children: [
                                              Text(
                                                "Jobs",
                                                style: TextStyle(
                                                    fontSize: 14,
                                                    color: gray95,
                                                    fontFamily: "RobotoMedium"),
                                              ),
                                              SizedBox(height: 8,),
                                              Text(
                                                "199",
                                                style: TextStyle(
                                                    fontSize: 18,
                                                    color: black,
                                                    fontFamily: "RobotoBold"),
                                              )
                                            ],
                                          ),
                                          Column(
                                            children: [
                                              Text(
                                                "Rate",
                                                style: TextStyle(
                                                    fontSize: 14,
                                                    color: gray95,
                                                    fontFamily: "RobotoMedium"),
                                              ),
                                              SizedBox(height: 8,),
                                              Text(
                                                "₹5,099",
                                                style: TextStyle(
                                                    fontSize: 18,
                                                    color: blue,
                                                    fontFamily: "RobotoBold"),
                                              )
                                            ],
                                          ),
                                          Column(
                                            children: [
                                              Text(
                                                "Rating",
                                                style: TextStyle(
                                                    fontSize: 14,
                                                    color: gray95,
                                                    fontFamily: "RobotoMedium"),
                                              ),
                                              SizedBox(height: 8,),
                                              Row(
                                                children: [
                                                  Icon(
                                                    Icons.star,
                                                    color: yellowDark,
                                                  ),
                                                  RichText(
                                                    text: TextSpan(
                                                      text: "5.0",
                                                      style: TextStyle(
                                                          fontSize: 14,
                                                          fontFamily:
                                                              "RobotoRegular",
                                                          color: black),
                                                      children: const <
                                                          TextSpan>[
                                                        TextSpan(
                                                          text: "(190)",
                                                          style: TextStyle(
                                                              fontSize: 14,
                                                              fontFamily:
                                                                  "RobotoRegular",
                                                              color: gray95),
                                                        ),
                                                      ],
                                                    ),
                                                  ),
                                                ],
                                              )
                                            ],
                                          )
                                        ],
                                      ),
                                    ),
                                    Divider(
                                      thickness: 1,
                                      color: whiteE2,
                                    ),
                                    Padding(
                                      padding: EdgeInsets.only(
                                          left: 20.0, right: 20.0, top: 8),
                                      child: Table(
                                        columnWidths: {
                                          0: FixedColumnWidth(Get.width<=360?190:Get.width/1.75
                                          ),
                                          1: FlexColumnWidth(Get.width<=360?190:Get.width/1.75),
                                        },
                                        children: [
                                          TableRow(children: [
                                            Text(
                                              'DETAILS',
                                              style: TextStyle(
                                                  fontFamily: "robotoBold",
                                                  color: blue,
                                                  fontSize: 20),
                                            ),
                                            Text(''),
                                          ]),
                                          rowSpacer,
                                          TableRow(children: [
                                            Text(
                                              'Duration',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                            Text(
                                              '3 - 6 hours',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                          ]),
                                          rowSpacer,
                                          TableRow(children: [
                                            Text(
                                              'Turnaround Time',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                            Text(
                                              '2 hours',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                          ]),
                                          rowSpacer,
                                          TableRow(children: [
                                            Text(
                                              'Pricing',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                            Text(
                                              'Fixed',
                                              style: TextStyle(
                                                  fontFamily: "robotoRegular",
                                                  color: black,
                                                  fontSize: 18),
                                            ),
                                          ]),
                                          rowSpacer,
                                          tableRow("Bathroom cleaning",
                                              Icons.check, green, "Included"),
                                          rowSpacer,
                                          tableRow("Kitchen cleaning",
                                              Icons.check, green, "Included"),
                                          rowSpacer,
                                          tableRow("Bedroom cleaning",
                                              Icons.check, green, "Included"),
                                          rowSpacer,
                                          tableRow("Sofa cleaning", Icons.check,
                                              green, "Included"),
                                          rowSpacer,
                                          tableRow("Carpet cleaning",
                                              Icons.check, green, "Included"),
                                          rowSpacer,
                                          tableRow("Balcony cleaning",
                                              Icons.check, green, "Included"),
                                          rowSpacer,
                                          tableRow("Fridge cleaning",
                                              Icons.clear, red, "Not Included"),
                                          rowSpacer,
                                          tableRow("Over cleaning", Icons.clear,
                                              red, "Not Included")
                                        ],
                                      ),
                                    ),
                                  ],
                                ),
                              ),
                              SizedBox(
                                height: 6,
                              ),
                              Container(
                                height: 470,
                                width: Get.width,
                                color: white,
                                child: Padding(
                                  padding:
                                      EdgeInsets.symmetric(horizontal: 20.0),
                                  child: Column(
                                    crossAxisAlignment:
                                        CrossAxisAlignment.start,
                                    children: [
                                      SizedBox(height: 20,),
                                      Text(
                                        'Reviews',
                                        style: TextStyle(
                                            fontFamily: "robotoBold",
                                            color: blue,
                                            fontSize: 20),
                                      ),
                                      ListView.builder(
                                        itemCount: ratingList.length,
                                        physics: NeverScrollableScrollPhysics(),
                                        shrinkWrap: true,
                                        itemBuilder: (context, index) => Padding(
                                          padding: const EdgeInsets.only(bottom: 10.0),
                                          child: Container(
                                            height: 76,
                                            width: Get.width,
                                            alignment: Alignment.center,
                                            decoration: BoxDecoration(
                                              color: white,
                                              borderRadius: BorderRadius.circular(15),
                                              boxShadow: [
                                                BoxShadow(
                                                  color: black00.withOpacity(0.05),
                                                  spreadRadius: 0,
                                                  blurRadius: 30
                                                )
                                              ]
                                            ),
                                            child: ListTile(
                                              // contentPadding: EdgeInsets.zero,
                                              leading: Container(
                                                height: 50,
                                                width: 50,
                                                decoration: BoxDecoration(
                                                  borderRadius:
                                                      BorderRadius.circular(20),
                                                  image: DecorationImage(
                                                    image: AssetImage(
                                                        ratingList[index]["image"]),
                                                  ),
                                                ),
                                              ),
                                              title: Text(
                                                ratingList[index]["text"],
                                                style: TextStyle(
                                                    fontFamily: "RobotoMedium",
                                                    fontSize: 14,
                                                    color: black),
                                              ),
                                              subtitle: Text(
                                                ratingList[index]["subText"],
                                                style: TextStyle(
                                                    fontFamily: "RobotoRegular",
                                                    fontSize: 12,
                                                    color: gray95),
                                              ),
                                              trailing: RatingBar.builder(
                                                initialRating: ratingList[index]["rating"],
                                                minRating: 1,
                                                direction: Axis.horizontal,
                                                allowHalfRating: true,
                                                itemCount: 5,
                                                itemSize: 18,
                                                unratedColor: gray95,
                                                itemPadding: EdgeInsets.symmetric(
                                                    horizontal: 1.0),
                                                itemBuilder: (context, index) =>
                                                    Icon(
                                                  Icons.star,
                                                  color: yellowDark,
                                                ),
                                                onRatingUpdate: (rating) {
                                                  print(rating);
                                                },
                                              ),
                                            ),
                                          ),
                                        ),
                                      ),
                                      SizedBox(height: 10,),
                                      MaterialButton(
                                        onPressed: () {
                                          Get.to(()=>AllReviewScreen());
                                        },
                                        color: white,
                                        height: 45,
                                        elevation: 0,
                                        child: Text(
                                          "View all reviews",
                                          style: TextStyle(
                                              color: blue, fontSize: 16, fontFamily: "RobotoMedium"),
                                        ),
                                        shape: RoundedRectangleBorder(
                                            borderRadius:BorderRadius.circular(10),
                                            side: BorderSide(color: blue,width: 1)
                                        ),
                                        minWidth: Get.width,
                                      )
                                    ],
                                  ),
                                ),
                              )
                            ],
                          ),
                        ),
                      ),
                      decoration: BoxDecoration(
                        color: whiteF1,
                        // borderRadius: BorderRadius.only(topLeft: Radius.circular(30),topRight: Radius.circular(30))
                      ),
                    ),
                  ),
                  MaterialButton(
                    onPressed: () {
                      Get.to(PickAddressScreen());
                    },
                    color: blue,
                    height: 62,
                    child: Text(
                      "Book Now",
                      style: TextStyle(
                          color: white, fontSize: 22, fontFamily: "RobotoBold"),
                    ),
                    shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.only(
                            topRight: Radius.circular(30),
                            topLeft: Radius.circular(30))),
                    minWidth: Get.width,
                  )
                ],
              ))
        ],
      ),
    );
  }
}
