import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/paymentmethod_controller.dart';
import 'package:urban/screen/home/bookingSuccessfull/bookingsuccess_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class PaymentMethodScreen extends StatelessWidget {
  final PaymentMethodController paymentMethodController =
      Get.put(PaymentMethodController());


  @override
  Widget build(BuildContext context) {

    return Scaffold(
      backgroundColor: white,
      body: Column(
        children: [
          appBar(() {
            Get.back();
          }, "Payment Method"),
          Expanded(
              child: Stack(
            alignment: Alignment.bottomCenter,
            children: [
              Container(
                color: white,
                child: Padding(
                    padding: EdgeInsets.symmetric(horizontal: 20.0),
                    child: Column(
                      children: [
                        Container(
                          height: 67,
                          width: Get.height,
                          child: Padding(
                            padding:
                                const EdgeInsets.symmetric(horizontal: 18.0),
                            child: Obx(
                              () => InkWell(
                                onTap: () {
                                  if (paymentMethodController
                                          .upiSelected.isTrue ||
                                      paymentMethodController
                                          .gPaySelected.isTrue ||
                                      paymentMethodController
                                          .cashSelected.isTrue) {
                                    paymentMethodController.upiSelected(false);
                                    paymentMethodController.gPaySelected(false);
                                    paymentMethodController.cashSelected(false);
                                  }
                                  paymentMethodController.upiSelected(true);
                                },
                                child: Row(
                                  children: [
                                    Image.asset(upi),
                                    SizedBox(
                                      width: 12,
                                    ),
                                    Text(
                                      "Pay with UPID",
                                      style: TextStyle(
                                          fontFamily: "RobotoRegular",
                                          fontSize: 16,
                                          color: black),
                                    ),
                                    Expanded(
                                      child: Align(
                                        alignment: Alignment.centerRight,
                                        child: Container(
                                          height: 20,
                                          width: 20,
                                          child: paymentMethodController.upiSelected.isTrue?Padding(
                                            padding: const EdgeInsets.all(3.0),
                                            child: Container(
                                              height: 10,
                                              width: 10,
                                              decoration: BoxDecoration(
                                                color: blue,
                                                shape: BoxShape.circle
                                              ),
                                            ),
                                          ):Container(),
                                          decoration: BoxDecoration(
                                              color: white,
                                              shape: BoxShape.circle,
                                              border: Border.all(
                                                  color: paymentMethodController.upiSelected.isTrue?blue:Color(0xff807F84),
                                                  width: 1)),
                                        ),
                                      ),
                                    )
                                  ],
                                ),
                              ),
                            ),
                          ),
                          decoration: BoxDecoration(
                              color: white,
                              border: Border.all(color: whiteF1, width: 1),
                              borderRadius: BorderRadius.circular(15)),
                        ),
                        SizedBox(height: 10,),
                        Container(
                          height: 67,
                          width: Get.height,
                          child: Padding(
                            padding:
                            const EdgeInsets.symmetric(horizontal: 18.0),
                            child: Obx(
                                  () => InkWell(
                                onTap: () {
                                  if (paymentMethodController
                                      .upiSelected.isTrue ||
                                      paymentMethodController
                                          .gPaySelected.isTrue ||
                                      paymentMethodController
                                          .cashSelected.isTrue) {
                                    paymentMethodController.upiSelected(false);
                                    paymentMethodController.gPaySelected(false);
                                    paymentMethodController.cashSelected(false);
                                  }
                                  paymentMethodController.gPaySelected(true);

                                },
                                child: Row(
                                  children: [
                                    Image.asset(gPay),
                                    SizedBox(
                                      width: 12,
                                    ),
                                    Text(
                                      "Pay with Gpay",
                                      style: TextStyle(
                                          fontFamily: "RobotoRegular",
                                          fontSize: 16,
                                          color: black),
                                    ),
                                    Expanded(
                                      child: Align(
                                        alignment: Alignment.centerRight,
                                        child: Container(
                                          height: 20,
                                          width: 20,
                                          child: paymentMethodController.gPaySelected.isTrue?Padding(
                                            padding: const EdgeInsets.all(3.0),
                                            child: Container(
                                              height: 10,
                                              width: 10,
                                              decoration: BoxDecoration(
                                                  color: blue,
                                                  shape: BoxShape.circle
                                              ),
                                            ),
                                          ):Container(),
                                          decoration: BoxDecoration(
                                              color: white,
                                              shape: BoxShape.circle,
                                              border: Border.all(
                                                  color: paymentMethodController.gPaySelected.isTrue?blue:Color(0xff807F84),
                                                  width: 1)),
                                        ),
                                      ),
                                    )
                                  ],
                                ),
                              ),
                            ),
                          ),
                          decoration: BoxDecoration(
                              color: white,
                              border: Border.all(color: whiteF1, width: 1),
                              borderRadius: BorderRadius.circular(15)),
                        ),
                        SizedBox(height: 10,),
                        Container(
                          height: 67,
                          width: Get.height,
                          child: Padding(
                            padding:
                            const EdgeInsets.symmetric(horizontal: 18.0),
                            child: Obx(
                                  () => InkWell(
                                onTap: () {
                                  if (paymentMethodController
                                      .upiSelected.isTrue ||
                                      paymentMethodController
                                          .gPaySelected.isTrue ||
                                      paymentMethodController
                                          .cashSelected.isTrue) {
                                    paymentMethodController.upiSelected(false);
                                    paymentMethodController.gPaySelected(false);
                                    paymentMethodController.cashSelected(false);
                                  }
                                  paymentMethodController.cashSelected(true);
                                },
                                child: Row(
                                  children: [
                                    Image.asset(cash),
                                    SizedBox(
                                      width: 12,
                                    ),
                                    Text(
                                      "Pay on Cash",
                                      style: TextStyle(
                                          fontFamily: "RobotoRegular",
                                          fontSize: 16,
                                          color: black),
                                    ),
                                    Expanded(
                                      child: Align(
                                        alignment: Alignment.centerRight,
                                        child: Container(
                                          height: 20,
                                          width: 20,
                                          child: paymentMethodController.cashSelected.isTrue?Padding(
                                            padding: const EdgeInsets.all(3.0),
                                            child: Container(
                                              height: 10,
                                              width: 10,
                                              decoration: BoxDecoration(
                                                  color: blue,
                                                  shape: BoxShape.circle
                                              ),
                                            ),
                                          ):Container(),
                                          decoration: BoxDecoration(
                                              color: white,
                                              shape: BoxShape.circle,
                                              border: Border.all(
                                                  color: paymentMethodController.cashSelected.isTrue?blue:Color(0xff807F84),
                                                  width: 1)),
                                        ),
                                      ),
                                    )
                                  ],
                                ),
                              ),
                            ),
                          ),
                          decoration: BoxDecoration(
                              color: white,
                              border: Border.all(color: whiteF1, width: 1),
                              borderRadius: BorderRadius.circular(15)),
                        ),
                      ],
                    )),
              ),
              Container(
                height: 280,
                width: Get.width,
                decoration: BoxDecoration(
                    color: white,
                    borderRadius: BorderRadius.only(topLeft: Radius.circular(30),topRight: Radius.circular(30) ),
                    boxShadow: [
                      BoxShadow(
                          color: black00.withOpacity(0.10),
                          blurRadius: 48,
                          spreadRadius: 0,
                          offset: Offset(0,17)
                      )
                    ]
                ),
                child: Padding(
                  padding: const EdgeInsets.symmetric(
                      horizontal: 20.0, vertical: 10),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        "Order Summary",
                        style: TextStyle(
                            fontFamily: "RobotoBold",
                            color: black,
                            fontSize: 20),
                      ),
                      SizedBox(
                        height: 25,
                      ),
                      Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text(
                            "Subtotal",
                            style: TextStyle(
                                fontFamily: "RobotoMedium",
                                color: gray80,
                                fontSize: 16),
                          ),
                          Text(
                            "₹5.000",
                            style: TextStyle(
                                fontFamily: "RobotoBold",
                                color: black,
                                fontSize: 18),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 14,
                      ),
                      Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text(
                            "Est. Tax",
                            style: TextStyle(
                                fontFamily: "RobotoMedium",
                                color: gray80,
                                fontSize: 16),
                          ),
                          Text(
                            "₹99.00",
                            style: TextStyle(
                                fontFamily: "RobotoBold",
                                color: black,
                                fontSize: 18),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 10,
                      ),
                      Divider(
                        color: whiteF1,
                        thickness: 1,
                      ),
                      SizedBox(
                        height: 10,
                      ),
                      Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text(
                            "Total",
                            style: TextStyle(
                                fontFamily: "RobotoMedium",
                                color: black,
                                fontSize: 16),
                          ),
                          Text(
                            "₹5.099",
                            style: TextStyle(
                                fontFamily: "RobotoBold",
                                color: black,
                                fontSize: 18),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 25,
                      ),
                      MaterialButton(
                        onPressed: () {
                          Get.to(()=>BookingSuccessScreen());
                        },
                        color: blue,
                        height: 54,
                        minWidth: Get.width,
                        shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(20)),
                        child: Text(
                          "Payment Now",
                          style: const TextStyle(
                              color: white,
                              fontSize: 16,
                              fontFamily: "RobotoMedium"),
                        ),
                      ),
                    ],
                  ),
                ),
              )
            ],
          ))
        ],
      ),
    );
  }
}
