import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/controller/pickAddress_controller.dart';
import 'package:urban/screen/home/cleaning&pesrControl/setdatetime/setdatetime_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class PickAddressScreen extends StatelessWidget {
  final PickAddressController pickAddressController = Get.put(PickAddressController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          SizedBox(
            height: 500,
            width: Get.width,
            child: Stack(
              alignment: Alignment.center,
              children: [
                SvgPicture.asset(mapSvg,fit: BoxFit.cover,width: Get.width,),
                Positioned(
                  top:150,
                    child: SvgPicture.asset(marker)
                ),
                Positioned(
                  top: 40,
                  left: 20,
                  child: InkWell(
                    onTap:(){
                      Get.back();
                    },
                    child: CircleAvatar(
                      radius: 25,
                      backgroundColor: whiteF1,
                      child: Padding(
                        padding: const EdgeInsets.only(left: 6.0),
                        child: Icon(
                          Icons.arrow_back_ios,
                          color: gray80,
                          size: 18,
                        ),
                      ),
                    ),
                  ),
                ),
              ],
            ),
            // child:
          ),
          Padding(
            padding:  EdgeInsets.only(top: 350),
            child: Container(
              height: Get.height,
              width: Get.width,
              child:Column(
                children: [
                  SizedBox(
                    height: 25,
                  ),
                  Padding(
                    padding:  EdgeInsets.symmetric(horizontal: 20.0),
                    child: Container(
                        height: 50,
                        width: Get.width,
                        decoration: BoxDecoration(
                            color: whiteF1, borderRadius: BorderRadius.circular(15)),
                        child: TabBar(
                          tabs: pickAddressController.myTabs,
                          unselectedLabelColor: black,
                          labelStyle:
                          TextStyle(fontSize: 16, fontFamily: "RobotoRegular"),
                          unselectedLabelStyle:
                          TextStyle(fontSize: 16, fontFamily: "RobotoRegular"),
                          labelColor: black,
                          controller: pickAddressController.controller,
                          indicator: BoxDecoration(
                              borderRadius: BorderRadius.circular(12), color: yellow),
                        )),
                  ),
                  Expanded(
                    child: TabBarView(
                      controller:pickAddressController.controller,
                        children: [
                          Padding(
                            padding: const EdgeInsets.symmetric(horizontal: 20.0),
                            child: Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                              children: [
                                pickAddressText("Your Pick Address", "Idea2code infoTech"),
                                pickAddressText("Street/Building/Flat", "603, Subh Square, Lal Darwaja."),
                                pickAddressText("Your Name", "John Doe"),
                                MaterialButton(
                                  onPressed: () {
                                    Get.to(()=>SetDateTimeScreen());
                                  },
                                  color: blue,
                                  height: 58,
                                  child: Text(
                                    "Continue",
                                    style: TextStyle(
                                        color: white, fontSize: 18, fontFamily: "RobotoMedium"),
                                  ),
                                  shape: RoundedRectangleBorder(
                                      borderRadius: BorderRadius.circular(15)),
                                  minWidth: Get.width,
                                )
                              ],
                            ),
                          ),
                          Padding(
                            padding: const EdgeInsets.symmetric(horizontal: 20.0),
                            child:  Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                              children: [
                                pickAddressText("Your Pick Address", "Idea2code infoTech"),
                                pickAddressText("Street/Building/Flat", "603, Subh Square, Lal Darwaja."),
                                pickAddressText("Your Name", "John Doe"),
                                MaterialButton(
                                  onPressed: () {
                                    Get.to(()=>SetDateTimeScreen());
                                  },
                                  color: blue,
                                  height: 58,
                                  child: Text(
                                    "Continue",
                                    style: TextStyle(
                                        color: white, fontSize: 18, fontFamily: "RobotoMedium"),
                                  ),
                                  shape: RoundedRectangleBorder(
                                      borderRadius: BorderRadius.circular(15)),
                                  minWidth: Get.width,
                                )
                              ],
                            ),
                          ),
                        ]
                      ),
                  ),
                ],
              ),
              decoration: BoxDecoration(
                color: white,
                borderRadius: BorderRadius.only(topLeft: Radius.circular(30),topRight: Radius.circular(30))
              ),
            ),
          )
        ],
      ),
    );
  }
}
