import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class SearchScreen extends StatelessWidget {
  final List<Map> searchList = [
    {
      "image": saloonWomen,
      "title": "Salon at home for Women",
      "subTitle": "Category - Up to 50% Off",
      "booking": "258.8k booking"
    },
    {
      "image": saloonMen,
      "title": "Salon for Men",
      "subTitle": "Category - Flat ₹100 off",
      "booking": "258.8k booking"
    },
    {
      "image": kitchenCleaning,
      "title": "Bathroom and Kitchen Cleaning",
      "subTitle": "Category",
      "booking": "66.8k booking"
    },
    {
      "image": plumberSearch,
      "title": "Plumbers",
      "subTitle": "Category",
      "booking": "66.8k booking"
    },
    {
      "image": saloonWomen,
      "title": "Salon at home for Women",
      "subTitle": "Category - Up to 50% Off",
      "booking": "258.8k booking"
    },
    {
      "image": saloonMen,
      "title": "Salon for Men",
      "subTitle": "Category - Flat ₹100 off",
      "booking": "258.8k booking"
    },
    {
      "image": kitchenCleaning,
      "title": "Bathroom and Kitchen Cleaning",
      "subTitle": "Category",
      "booking": "66.8k booking"
    },
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          Container(
            height: 122,
            width: Get.width,
            color: white,
            child: Padding(
              padding: EdgeInsets.only(left: 20.0, right: 20, top: 30),
              child: Row(
                children: [
                  InkWell(
                    onTap: () {
                      Get.back();
                    },
                    child: CircleAvatar(
                      radius: 25,
                      backgroundColor: whiteF1,
                      child: Padding(
                        padding: const EdgeInsets.only(left: 6.0),
                        child: Icon(
                          Icons.arrow_back_ios,
                          color: gray80,
                          size: 18,
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    width: 20,
                  ),
                  Expanded(
                    child: Container(
                      height: 52,
                      alignment: Alignment.center,
                      child: TextField(
                        cursorColor: gray88,
                        decoration: InputDecoration(
                            border: InputBorder.none,
                            contentPadding: EdgeInsets.only(top: 14),
                            prefixIcon: Icon(
                              CupertinoIcons.search,
                              size: 25,
                              color: gray96,
                            ),
                            hintText: "Search for services and packages",
                            hintStyle: TextStyle(
                                color: grayA2,
                                fontSize: 14,
                                fontFamily: "RobotoRegular")),
                      ),
                      decoration: BoxDecoration(
                          color: whiteF3,
                          borderRadius: BorderRadius.circular(15)),
                    ),
                  )
                ],
              ),
            ),
          ),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Container(
              color: white,
              child: ScrollConfiguration(
                behavior: MyBehavior(),
                child: ListView.builder(
                  padding: EdgeInsets.only(top: 10),
                  itemCount: searchList.length,
                  shrinkWrap: true,
                  itemBuilder: (context, index) => Padding(
                  padding: const EdgeInsets.only(left: 20.0,right: 20.0),
                  child: Column(
                    children: [
                      ListTile(
                        contentPadding: EdgeInsets.zero,
                        leading: Container(
                          height: 40,
                          width: 40,
                          decoration: BoxDecoration(
                              borderRadius: BorderRadius.circular(12),
                              image: DecorationImage(
                                  image: AssetImage(searchList[index]["image"]), fit: BoxFit.cover)),
                        ),
                        title: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Text(
                              searchList[index]["title"],
                              style: TextStyle(
                                  color: black,
                                  fontSize: 15,
                                  fontFamily: "RobotoRegular"),
                            ),
                            SizedBox(
                              height: 5,
                            ),
                            Text(
                              searchList[index]["subTitle"],
                              style: TextStyle(
                                  color: gray95,
                                  fontSize: 12,
                                  fontFamily: "RobotoRegular"),
                            ),
                            SizedBox(
                              height: 5,
                            ),
                            RichText(
                              text: TextSpan(
                                text: searchList[index]["booking"],
                                style: TextStyle(
                                    fontSize: 12,
                                    fontFamily: "RobotoRegular",
                                    color: green),
                                children: const <TextSpan>[
                                  TextSpan(
                                    text: ' in last one month',
                                    style: TextStyle(
                                        fontSize: 12,
                                        fontFamily: "RobotoRegular",
                                        color: gray95),
                                  ),
                                ],
                              ),
                            ),
                          ],
                        ),
                      ),
                      Divider(
                        color: whiteF1,
                        thickness: 1,
                      )
                    ],
                  ),
                ),
                ),
              )
            ),
          ),
        ],
      ),
    );
  }
}
