import 'package:calendar_timeline/calendar_timeline.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/setdatetime_controller.dart';
import 'package:urban/screen/home/cleaning&pesrControl/paymentMethod/paymentmethod_screen.dart';
import 'package:urban/screen/home/cleaning&pesrControl/setdatetime/afternoon_time.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class SetDateTimeScreen extends StatelessWidget {
  final SetDateTimeController setDateTimeController =
      Get.put(SetDateTimeController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          appBar(() {
            Get.back();
          }, "Select date & time"),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Stack(
              alignment: Alignment.bottomCenter,
              children: [
                Container(
                  color: white,
                  child: Column(
                    children: [
                      SizedBox(
                        height: 20,
                      ),
                      CalendarTimeline(
                        initialDate: DateTime.now(),
                        firstDate: DateTime(2021, 1, 1),
                        lastDate: DateTime.now().add(Duration(days: 365)),
                        onDateSelected: (date) => print(date),
                        leftMargin: 20,
                        monthColor: blue,
                        dayColor: black,
                        dayNameColor: white,
                        activeDayColor: white,
                        activeBackgroundDayColor: blue,
                        dotsColor: blue,
                        // selectableDayPredicate: (date) => date.day != 23,
                      ),
                      SizedBox(
                        height: 20,
                      ),
                      Padding(
                        padding: EdgeInsets.symmetric(horizontal: 20.0),
                        child: IntrinsicHeight(
                          child: Row(
                              crossAxisAlignment: CrossAxisAlignment.stretch,
                              mainAxisSize: MainAxisSize.min,
                              children: [
                                Column(
                                  mainAxisSize: MainAxisSize.min,
                                  verticalDirection: VerticalDirection.down,
                                  children: [
                                    Padding(
                                      padding: EdgeInsets.only(top: 8.0),
                                      child: Container(
                                        height: 8,
                                        width: 8,
                                        decoration: BoxDecoration(
                                          color: yellow,
                                          shape: BoxShape.circle,
                                          // border: Border.all(color:blue,width: 1)
                                        ),
                                      ),
                                    ),
                                    Container(
                                      height: 100,
                                      width: 1,
                                      color: whiteF1,
                                    )
                                    // CustomPaint(painter: LineDashedPainter(lineColor: Colors.grey))
                                  ],
                                ),
                                SizedBox(width: 10),
                                Expanded(
                                  child: Column(
                                    mainAxisSize: MainAxisSize.min,
                                    crossAxisAlignment: CrossAxisAlignment.start,
                                    children: [
                                      Text(
                                        "Morning",
                                        style: TextStyle(
                                            color: black,
                                            fontFamily: "RobotoMedium",
                                            fontSize: 17),
                                      ),
                                      SizedBox(
                                        height: 20,
                                      ),
                                      Row(
                                        children: [
                                          Obx(
                                                () => InkWell(
                                              onTap: () {
                                                if (setDateTimeController.morningTime1.isTrue ||
                                                    setDateTimeController
                                                        .morningTime2.isTrue ||
                                                    setDateTimeController
                                                        .morningTime3.isTrue) {
                                                  setDateTimeController
                                                      .morningTime1(false);
                                                  setDateTimeController
                                                      .morningTime2(false);
                                                  setDateTimeController
                                                      .morningTime3(false);
                                                }
                                                setDateTimeController
                                                    .morningTime1(true);
                                              },
                                              child: dateTimeContainer(
                                                  text: "10:00",
                                                  color: setDateTimeController
                                                      .morningTime1.isTrue
                                                      ? whiteE9
                                                      : white,
                                                  borderColor: setDateTimeController
                                                      .morningTime1.isTrue
                                                      ? blue
                                                      : whiteF1,
                                                  textColor: setDateTimeController
                                                      .morningTime1.isTrue
                                                      ? blue
                                                      : black),
                                            ),
                                          ),
                                          SizedBox(
                                            width: 10,
                                          ),
                                          Obx(
                                                () => InkWell(
                                              onTap: () {
                                                if (setDateTimeController.morningTime1.isTrue ||
                                                    setDateTimeController
                                                        .morningTime2.isTrue ||
                                                    setDateTimeController
                                                        .morningTime3.isTrue) {
                                                  setDateTimeController
                                                      .morningTime1(false);
                                                  setDateTimeController
                                                      .morningTime2(false);
                                                  setDateTimeController
                                                      .morningTime3(false);
                                                }
                                                setDateTimeController
                                                    .morningTime2(true);
                                              },
                                              child: dateTimeContainer(
                                                  text: "10:45",
                                                  color: setDateTimeController
                                                      .morningTime2.isTrue
                                                      ? whiteE9
                                                      : white,
                                                  borderColor: setDateTimeController
                                                      .morningTime2.isTrue
                                                      ? blue
                                                      : whiteF1,
                                                  textColor: setDateTimeController
                                                      .morningTime2.isTrue
                                                      ? blue
                                                      : black),
                                            ),
                                          ),
                                          SizedBox(
                                            width: 10,
                                          ),
                                          Obx(
                                                () => InkWell(
                                              onTap: () {
                                                if (setDateTimeController.morningTime1.isTrue ||
                                                    setDateTimeController
                                                        .morningTime2.isTrue ||
                                                    setDateTimeController
                                                        .morningTime3.isTrue) {
                                                  setDateTimeController
                                                      .morningTime1(false);
                                                  setDateTimeController
                                                      .morningTime2(false);
                                                  setDateTimeController
                                                      .morningTime3(false);
                                                }
                                                setDateTimeController
                                                    .morningTime3(true);
                                              },
                                              child: dateTimeContainer(
                                                  text: "11:30",
                                                  color: setDateTimeController
                                                      .morningTime3.isTrue
                                                      ? whiteE9
                                                      : white,
                                                  borderColor: setDateTimeController
                                                      .morningTime3.isTrue
                                                      ? blue
                                                      : whiteF1,
                                                  textColor: setDateTimeController
                                                      .morningTime3.isTrue
                                                      ? blue
                                                      : black),
                                            ),
                                          ),
                                        ],
                                      )
                                    ],
                                  ),
                                )
                              ]),
                        ),
                      ),
                      AfternoonTime()
                    ],
                  ),
                ),
                Container(
                  height: 81,
                  width: Get.width,
                  decoration: BoxDecoration(
                    color: white,
                    borderRadius: BorderRadius.only(topLeft: Radius.circular(30),topRight: Radius.circular(30) ),
                    boxShadow: [
                      BoxShadow(
                        color: black00.withOpacity(0.10),
                        blurRadius: 48,
                        spreadRadius: 0,
                        offset: Offset(0,17)
                      )
                    ]
                  ),
                  alignment: Alignment.center,
                  child: Padding(
                    padding:  EdgeInsets.symmetric(horizontal: 20.0),
                    child: Row(
                      children: [
                        Column(
                          mainAxisSize: MainAxisSize.min,
                          children: [
                            RichText(
                              text: TextSpan(
                                text: "₹5,099",
                                style: TextStyle(
                                    fontSize: 20,
                                    fontFamily:
                                    "RobotoBold",
                                    color: blue),
                                children: const <
                                    TextSpan>[
                                  TextSpan(
                                    text: "item",
                                    style: TextStyle(
                                        fontSize: 14,
                                        fontFamily:
                                        "RobotoRegular",
                                        color: gray80),
                                  ),
                                ],
                              ),
                            ),
                            Text(
                                "inc. of all taxes",
                              style: TextStyle(
                                  fontSize: 14,
                                  fontFamily:
                                  "RobotoRegular",
                                  color: gray80),
                            )
                          ],
                        ),
                        SizedBox(width: 30,),
                        Expanded(
                          child: MaterialButton(
                            onPressed: () {
                              Get.bottomSheet(
                                Padding(
                                  padding:  EdgeInsets.symmetric(horizontal: 25.0,vertical: 25.0),
                                  child: Column(
                                   mainAxisSize: MainAxisSize.min,
                                    children: [
                                      Text(
                                          "Confirmation",
                                        style: TextStyle(
                                          fontFamily: "RobotoBold",
                                          color: black,
                                          fontSize: 25
                                        ),
                                      ),
                                      SizedBox(height: 15,),
                                      Text(
                                        "John Doe",
                                        style: TextStyle(
                                            fontFamily: "RobotoMedium",
                                            color: black,
                                            fontSize: 20
                                        ),
                                      ),
                                      SizedBox(height: 10,),
                                      SizedBox(
                                        height: 60,
                                        width: 240,
                                        child: Text(
                                            "603, Subh Square, Lal Darwaja, Patel Vadi, Surat, Gujarat 395004. at 11:30 AM, Wed 20th Dec 2021",
                                          style: TextStyle(
                                            fontSize: 16,
                                            color: gray80,
                                            fontFamily: "RobotoRegular"
                                          ),
                                        ),
                                      ),
                                      SizedBox(height: 19,),
                                      MaterialButton(
                                        onPressed: () {
                                          Get.back();
                                          Get.to(()=>PaymentMethodScreen());
                                        },
                                        color: blue,
                                        height: 54,
                                        minWidth: Get.width,
                                        shape: RoundedRectangleBorder(
                                            borderRadius: BorderRadius.circular(20)
                                        ),
                                        child: Text("Continue",
                                          style: const TextStyle(
                                              color: white,fontSize: 16,fontFamily: "RobotoMedium"
                                          ),
                                        ),
                                      ),
                                      SizedBox(height: 15,),
                                      MaterialButton(
                                        onPressed: () {
                                         Get.back();
                                        },
                                        color: whiteF1,
                                        height: 54,
                                        minWidth: Get.width,
                                        shape: RoundedRectangleBorder(
                                            borderRadius: BorderRadius.circular(20)
                                        ),
                                        child: Text("Cancel",
                                          style: const TextStyle(
                                              color: gray80,fontSize: 16,fontFamily: "RobotoMedium"
                                          ),
                                        ),
                                      ),
                                    ],
                                  ),
                                ),
                                backgroundColor: white,
                                shape: RoundedRectangleBorder(
                                    borderRadius: BorderRadius.only(topRight: Radius.circular(20),topLeft: Radius.circular(20)),
                                ),
                              );
                            },
                            color: blue,
                            height: 58,
                            // minWidth: Get.width,
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(20)
                            ),
                            child: Text("Proceed",
                              style: const TextStyle(
                                  color: white,fontSize: 16,fontFamily: "RobotoMedium"
                              ),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                )
              ],
            )
          ),
        ],
      ),
    );
  }
}
