import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/home/cleaning&pesrControl/cleaning_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class Cleaning extends StatelessWidget {
  final List listData;

  Cleaning({required this.listData});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 250,
      width: Get.width,
      color: white,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 18,),
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 20.0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding:  EdgeInsets.only(bottom: 3.0),
                      child: Text(
                        "Cleaning & Pest Control",
                        style: TextStyle(
                            color: black,
                            fontSize: 20,
                            fontFamily: "RobotoBold"
                        ),
                      ),
                    ),
                    Text(
                      "Removes hard stains & more",
                      style: TextStyle(
                          color: gray95,
                        fontSize:12
                      ),
                    )
                  ],
                ),
                InkWell(
                  onTap: (){
                    Get.to(()=>CleaningScreen(text: "Cleaning",));
                  },
                  child: Row(
                    children: [
                      Text(
                        "View all",
                        style: TextStyle(
                            color: blue,
                            fontSize: 14,
                            fontFamily: "RobotoRegular"
                        ),
                      ),
                      SizedBox(width: 8,),
                      SvgPicture.asset(viewAll)
                    ],
                  ),
                ),
              ],
            ),
          ),
          SizedBox(height: 10,),
          Expanded(
            child: Padding(
              padding:  EdgeInsets.only(left: 20.0),
              child: SizedBox(
                height: 250,
                child: ListView.builder(
                  itemCount: listData.length,
                  shrinkWrap: true,
                  scrollDirection: Axis.horizontal,
                  itemBuilder: (context, index) => Padding(
                    padding: const EdgeInsets.all(7.0),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        InkWell(
                          onTap: (){
                            Get.to(()=>CleaningScreen(text: "Cleaning"));
                          },
                          child: Container(
                            height: 105,
                            width: Get.width/2.41,
                            decoration: BoxDecoration(
                                image: DecorationImage(
                                    image: AssetImage(listData[index]["image"]),
                                    fit: BoxFit.cover,
                                  filterQuality: FilterQuality.high
                                ),
                                borderRadius: BorderRadius.circular(12)
                            ),
                          ),
                        ),
                        SizedBox(height: 8,),
                        SizedBox(
                          height: 40,
                          width: Get.width/2.45,
                          child: Text(
                            listData[index]["text"],
                            maxLines: 2,
                            style: TextStyle(
                                color: black,
                                fontFamily: "RobotoRegular",
                                fontSize: 15
                            ),
                          ),
                        )
                      ],
                    ),
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }


}
