import 'package:carousel_slider/carousel_slider.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/controller/home_controller.dart';
import 'package:urban/screen/home/appliance_container.dart';
import 'package:urban/screen/home/bestOffer_container.dart';
import 'package:urban/screen/home/cleaning&pesrControl/cleaning_screen.dart';
import 'package:urban/screen/home/cleaning&pesrControl/search_screen.dart';
import 'package:urban/screen/home/cleaning_container.dart';
import 'package:urban/screen/home/services/services_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class HomeScreen extends StatelessWidget {
  final HomeController homeController = Get.put(HomeController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: ScrollConfiguration(
        behavior: MyBehavior(),
        child: SingleChildScrollView(
          child: Column(
            children: [
              Container(
                height: 560,
                width: Get.width,
                color: white,
                child: Column(
                  children: [
                    SizedBox(
                      height: 50,
                    ),
                    Padding(
                      padding:  EdgeInsets.symmetric(horizontal: 20.0),
                      child: Row(
                        children: [
                          SvgPicture.asset(locationIcon),
                          SizedBox(width: 20,),
                          Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                "Current Location",
                                style: TextStyle(
                                  fontSize: 14,
                                  color: black,
                                  fontFamily: "RobotoRegular"
                                ),
                              ),
                              Row(
                                children: [
                                  Text(
                                    "Kastanienallee, Berlin",
                                    style: TextStyle(
                                      fontFamily: "RobotoMedium",
                                      color: black,
                                      fontSize: 16
                                    ),
                                  ),
                                  Icon(Icons.arrow_drop_down,color: gray88,)
                                ],
                              )
                            ],
                          )
                        ],
                      ),
                    ),
                    SizedBox(height: 20,),
                    Padding(
                      padding:  EdgeInsets.symmetric(horizontal: 20.0),
                      child: InkWell(
                        onTap: (){
                          Get.to(SearchScreen());
                        },
                        child: Container(
                          height: 52,
                          width: Get.width,
                          color: whiteFA,
                          child: TextField(
                            enabled: false,
                            decoration: InputDecoration(
                              isDense: true,
                              contentPadding: EdgeInsets.only(top: 15,left: 20),
                              border: InputBorder.none,
                              hintText: "Search Product Name",
                              suffixIcon: Icon(CupertinoIcons.search,size: 25,),
                              hintStyle: TextStyle(
                                color: gray96,
                                fontSize: 14,
                              )
                            ),
                          ),
                        ),
                      ),
                    ),
                    SizedBox(height: 15,),
                     Padding(
                       padding:  EdgeInsets.symmetric(horizontal: 20.0),
                       child: ClipRRect(
                         borderRadius: BorderRadius.circular(15),
                         child: CarouselSlider.builder(
                              itemCount: imagesList.length,
                              itemBuilder: (context, index, realIndex) => Container(
                                height: 170,
                                width: Get.width,
                                child:Stack(
                                  children: [
                                    Image.asset(rectangle,fit: BoxFit.fill,height: 170,),
                                    Padding(
                                      padding:  EdgeInsets.symmetric(horizontal: 18.0),
                                      child: Column(
                                        crossAxisAlignment: CrossAxisAlignment.start,
                                        children: [
                                          SizedBox(height: 20,),
                                          Text(
                                            "Sofa & Carpet\nCleaning",
                                            style: TextStyle(
                                                color: white,
                                                fontSize: 20,
                                                fontFamily: "RobotoBold"
                                            ),
                                          ),
                                          SizedBox(
                                            width: 139,
                                            child: Divider(
                                              color: white,
                                              thickness: 1,
                                            ),
                                          ),
                                          Text(
                                            "3-step process for\na spotless finish",
                                            style: TextStyle(
                                                color: white,
                                                fontSize: 14,
                                                fontFamily: "RobotoRegular"
                                            ),
                                          )
                                        ],
                                      ),
                                    )
                                  ],
                                ),
                                decoration: BoxDecoration(
                                    borderRadius: BorderRadius.circular(15),
                                    image: DecorationImage(
                                        image: AssetImage(imagesList[index]),
                                        fit: BoxFit.cover,
                                      filterQuality: FilterQuality.high
                                    )
                                ),
                              ),
                              options: CarouselOptions(
                                autoPlay: true,
                                height: 160,
                                enableInfiniteScroll: true,
                                enlargeCenterPage: true,
                                viewportFraction: 1,
                                onPageChanged:(index,reason){
                                  homeController.currentIndex.value=index;
                                }
                              )
                    ),
                       ),
                     ),
                    SizedBox(height: 5,),
                    Obx(
                      ()=> Row(
                        mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            for(int i = 0; i < imagesList.length; i++)
                              Padding(
                                padding: EdgeInsets.all(6.0),
                                child: Container(
                                    height: i == homeController.currentIndex.value?10:8,
                                    width: i==homeController.currentIndex.value?10:8,
                                    decoration: BoxDecoration(
                                        color: i == homeController.currentIndex.value ? blue : grayC4,
                                        borderRadius: BorderRadius.circular(5)
                                    )
                                ),
                              )
                          ]
                      )
                    ),
                    SizedBox(height: 10,),
                    Padding(
                      padding:  EdgeInsets.symmetric(horizontal: 20.0),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text(
                            "Services",
                            style: TextStyle(
                              color: black,
                              fontSize: 20,
                              fontFamily: "RobotoBold"
                            ),
                          ),
                          InkWell(
                            onTap: (){
                              Navigator.push(context, MaterialPageRoute(builder: (context) => ServicesScreen(),));
                            },
                            child: Row(
                              children: [
                                Text(
                                  "View all",
                                  style: TextStyle(
                                      color: blue,
                                      fontSize: 14,
                                      fontFamily: "RobotoRegular"
                                  ),
                                ),
                                SizedBox(width: 8,),
                                SvgPicture.asset(viewAll)
                              ],
                            ),
                          ),
                        ],
                      ),
                    ),
                    SizedBox(height: 10,),
                    Expanded(
                      child: Padding(
                        padding:  EdgeInsets.only(left: 20.0),
                        child: SizedBox(
                          height: 220,
                          child: ScrollConfiguration(
                            behavior: MyBehavior(),
                            child: ListView.builder(
                              itemCount: servicesList.length,
                              shrinkWrap: true,
                              scrollDirection: Axis.horizontal,
                              itemBuilder: (context, index) => Padding(
                                padding:  EdgeInsets.all(8.0),
                                child: Column(
                                  children: [
                                    InkWell(
                                      onTap: (){
                                        Get.to(()=>CleaningScreen(text: servicesList[index]["text"]));
                                      },
                                      child: Container(
                                        height: 85,
                                        width: 85,
                                        child: Padding(
                                          padding: EdgeInsets.all(15.0),
                                          child: SvgPicture.asset(servicesList[index]["image"]),
                                        ),
                                        decoration: BoxDecoration(
                                            borderRadius: BorderRadius.circular(15),
                                            border: Border.all(color: whiteF1)
                                        ),
                                      ),
                                    ),
                                    SizedBox(height: 10,),
                                    SizedBox(
                                      height: 35,
                                        width: 75,
                                        child: Text(
                                            servicesList[index]["text"],
                                          maxLines: 2,
                                          textAlign: TextAlign.center,
                                          style: TextStyle(
                                            color: black,
                                            fontFamily: "RobotoRegular",
                                            fontSize: 12
                                          ),
                                        )
                                    )
                                  ],
                                ),
                              ),
                            ),
                          ),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              SizedBox(height: 5,),
              Cleaning(listData: cleanList,),
              SizedBox(height: 5,),
              BestOffer(),
              SizedBox(height: 5,),
              Appliance(),
              SizedBox(height: 5,),
              Cleaning(listData: carpetCleanList,),
            ],
          ),
        ),
      ),
    );
  }
}
