import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:urban/screen/home/home_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class ServicesScreen extends StatelessWidget {
  const ServicesScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          appBar(() {
            Navigator.pushReplacement(
                context,
                MaterialPageRoute(
                  builder: (context) => HomeScreen(),
                ));
          }, "Services"
          ),
          SizedBox(height: 6,),
          Expanded(
            child: Container(
              color: white,
              child: Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: ScrollConfiguration(
                  behavior: MyBehavior(),
                  child: GridView.builder(
                      gridDelegate:SliverGridDelegateWithFixedCrossAxisCount(
                          crossAxisCount: 4,
                          childAspectRatio: 0.60,
                          crossAxisSpacing: 9,
                          mainAxisSpacing: 15
                      ),
                      itemCount: servicesList.length,
                      itemBuilder: (context, index) =>  Column(
                        children: [
                          Container(
                            height: 75,
                            width: 85,
                            child: Padding(
                              padding: EdgeInsets.all(15.0),
                              child: SvgPicture.asset(servicesList[index]["image"]),
                            ),
                            decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(15),
                                border: Border.all(color: whiteF1)
                            ),
                          ),
                          SizedBox(height: 10,),
                          SizedBox(
                              height: 30,
                              width: 70,
                              child: Text(
                                servicesList[index]["text"],
                                maxLines: 2,
                                textAlign: TextAlign.center,
                                style: TextStyle(
                                    color: black,
                                    fontFamily: "RobotoRegular",
                                    fontSize: 12
                                ),
                              )
                          )
                        ],
                      ),
                  ),
                ),
              ),

            ),
          )
        ],
      ),
    );
  }
}
