import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/addressScreen/address_screen.dart';
import 'package:urban/screen/bottom_navigation/dashboard_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class LocationScreen extends StatelessWidget {
  const LocationScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: white,
      appBar: AppBar(
        leading: InkWell(
          onTap: (){
            Navigator.pop(context);
          },
            child: Icon(Icons.arrow_back,color: black,size: 25,)
        ),
        backgroundColor: Colors.transparent,
        elevation: 0,
      ),
      body: Padding(
        padding:  EdgeInsets.symmetric(horizontal: 20.0),
        child: Column(
          children: [
            SizedBox(height: 50,),
            Text(
              "Hi, nice to meet you!",
              style: TextStyle(
                  fontFamily: "RobotoRegular", color: grayDark, fontSize: 15),
            ),
            SizedBox(height: 6,),
            Text(
              "See services around",
              style: TextStyle(
                  fontFamily: "RobotoMedium", color: black, fontSize: 26),
            ),
            SizedBox(height: 35,),
            Padding(
              padding:  EdgeInsets.symmetric(horizontal: 10.0),
              child: InkWell(
                onTap: (){
                  Get.to(AddressScreen());
                },
                child: Row(
                  children: [
                    Container(
                      height: 50,
                      width: 50,
                      child:Image.asset(location),
                      decoration: BoxDecoration(
                        color: white,
                        shape: BoxShape.circle,
                          boxShadow: [
                            BoxShadow(
                                color: black00.withOpacity(0.25),
                                offset: Offset(0,4),
                                blurRadius: 4,
                                spreadRadius: 0
                            )
                          ]
                      ),
                    ),
                    SizedBox(
                      width: 15,
                    ),
                    Expanded(
                      child: Container(
                        height: 45,
                        alignment: Alignment.centerLeft,
                        padding: EdgeInsets.only(left: 17),
                        child: Text("New location",style: TextStyle(
                          fontSize: 14,
                          color: black.withOpacity(0.48),
                          fontFamily: "RobotoMedium"
                        ),),
                        decoration: BoxDecoration(
                          color: white,
                          borderRadius: BorderRadius.circular(25),
                          boxShadow: [
                            BoxShadow(
                              color: black00.withOpacity(0.25),
                              offset: Offset(4,4),
                              blurRadius: 4,
                              spreadRadius: 0
                            )
                          ]
                        ),
                      ),
                    )
                  ],
                ),
              ),
            ),
            SizedBox(height: 30,),
            Image.asset(mapLocation),
            SizedBox(height: 100,),
            MaterialButton(
              onPressed: () {
                Navigator.pushAndRemoveUntil(
                  context,
                  MaterialPageRoute(
                    builder: (BuildContext context) => DashBoardScreen(),
                  ),
                      (route) => false,
                );
              },
              color: blue,
              height: 54,
              minWidth: Get.width,
              shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(20)
              ),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  SvgPicture.asset(distance),
                  SizedBox(width: 5,),
                  Text("Your current location",
                    style: const TextStyle(
                        color: white,fontSize: 16,fontFamily: "RobotoMedium"
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
