import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class ChatDetailPage extends StatelessWidget {
  final String name;
  final String image;

  ChatDetailPage({required this.name, required this.image});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          Container(
            height: 122,
            width: Get.width,
            color: white,
            child: Padding(
              padding: EdgeInsets.only(left: 20.0, right: 20, top: 30),
              child: Row(
                children: [
                  InkWell(
                    onTap: () {
                      Get.back();
                    },
                    child: CircleAvatar(
                      radius: 25,
                      backgroundColor: whiteF1,
                      child: Padding(
                        padding: const EdgeInsets.only(left: 6.0),
                        child: Icon(
                          Icons.arrow_back_ios,
                          color: gray80,
                          size: 18,
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    width: 20,
                  ),
                  Text(
                    name,
                    style: TextStyle(
                        fontSize: 24, color: black, fontFamily: "RobotoBold"),
                  ),
                  Expanded(
                    child: Align(
                      alignment: Alignment.centerRight,
                      child: CircleAvatar(
                        backgroundImage: AssetImage(image),
                        radius: 23,
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ),
          Expanded(
              child: Align(
            alignment: Alignment.bottomCenter,
            child: Container(
              height: Get.height,
              color: whiteF8,
              child: Stack(
                children: <Widget>[
                  Align(
                    alignment: Alignment.bottomCenter,
                    child: Padding(
                      padding: EdgeInsets.only(bottom: 70.0),
                      child: ScrollConfiguration(
                        behavior: MyBehavior(),
                        child: ListView.builder(
                          itemBuilder: (context, index) => Padding(
                            padding:
                                const EdgeInsets.only(left: 20.0, right: 20),
                            child: Align(
                              alignment:
                                  (messages[index].messageType == "receiver"
                                      ? Alignment.topLeft
                                      : Alignment.topRight),
                              child: Padding(
                                padding: EdgeInsets.only(bottom: 20.0),
                                child: index == 3
                                    ? Column(
                                        crossAxisAlignment:
                                            CrossAxisAlignment.center,
                                        children: [
                                          Padding(
                                            padding:
                                                EdgeInsets.only(left: 100.0),
                                            child: Text(
                                              "TODAY",
                                              style: TextStyle(
                                                  fontFamily: "RobotoRegular",
                                                  color: Color(0xff999999),
                                                  fontSize: 12),
                                            ),
                                          ),
                                          SizedBox(
                                            height: 20,
                                          ),
                                          Container(
                                            padding: EdgeInsets.all(20),
                                            child: Text(
                                              messages[index].messageContent,
                                              style: TextStyle(
                                                  fontSize: 16,
                                                  color: messages[index]
                                                              .messageType ==
                                                          "receiver"
                                                      ? black22
                                                      : white,
                                                  fontFamily: "RobotoRegular"),
                                            ),
                                            decoration: BoxDecoration(
                                                color: messages[index]
                                                            .messageType ==
                                                        "receiver"
                                                    ? white
                                                    : blue,
                                                border: Border.all(
                                                    color: messages[index]
                                                                .messageType ==
                                                            "receiver"
                                                        ? whiteE8
                                                        : blue,
                                                    width: 1),
                                                borderRadius:
                                                    BorderRadius.circular(20)),
                                          ),
                                        ],
                                      )
                                    : Container(
                                        padding: EdgeInsets.all(20),
                                        child: Text(
                                          messages[index].messageContent,
                                          style: TextStyle(
                                              fontSize: 16,
                                              color:
                                                  messages[index].messageType ==
                                                          "receiver"
                                                      ? black22
                                                      : white,
                                              fontFamily: "RobotoRegular"),
                                        ),
                                        decoration: BoxDecoration(
                                            color:
                                                messages[index].messageType ==
                                                        "receiver"
                                                    ? white
                                                    : blue,
                                            border: Border.all(
                                                color: messages[index]
                                                            .messageType ==
                                                        "receiver"
                                                    ? whiteE8
                                                    : blue,
                                                width: 1),
                                            borderRadius:
                                                BorderRadius.circular(20)),
                                      ),
                              ),
                            ),
                          ),
                          shrinkWrap: true,
                          itemCount: messages.length,
                        ),
                      ),
                    ),
                  ),
                  Align(
                    alignment: Alignment.bottomLeft,
                    child: Padding(
                      padding:
                          EdgeInsets.symmetric(horizontal: 15, vertical: 10),
                      child: Container(
                        padding: EdgeInsets.only(
                            left: 10, bottom: 7, top: 7, right: 8),
                        height: 60,
                        width: double.infinity,
                        decoration: BoxDecoration(
                            color: Colors.white,
                            borderRadius: BorderRadius.circular(35),
                            border:
                                Border.all(color: Color(0xff848484), width: 1)),
                        child: Row(
                          children: <Widget>[
                            Expanded(
                              child: TextField(
                                decoration: InputDecoration(
                                    hintText: "Write message...",
                                    hintStyle: TextStyle(color: Colors.black54),
                                    border: InputBorder.none),
                              ),
                            ),
                            SizedBox(
                              width: 15,
                            ),
                            FloatingActionButton(
                              onPressed: () {},
                              child: Icon(
                                Icons.send,
                                color: Colors.white,
                                size: 18,
                              ),
                              backgroundColor: Colors.blue,
                              elevation: 0,
                            ),
                          ],
                        ),
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ))
        ],
      ),
    );
  }
}
