import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/controller/addpayment_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class AddPaymentScreen extends StatelessWidget {
  final AddPayemntController addPaymentController = Get.put(AddPayemntController());

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: white,
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "Add Payment Method"),
          Expanded(
            child: Padding(
              padding: EdgeInsets.symmetric(horizontal: 30.0),
              child: ScrollConfiguration(
                behavior: MyBehavior(),
                child: SingleChildScrollView(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      SizedBox(
                        height: 30,
                      ),
                      SizedBox(
                        height:184,
                        width: double.infinity,
                        child: Image.asset(
                          visaCard,
                          fit: BoxFit.fill,
                        ),
                      ),
                      SizedBox(
                        height: 30,
                      ),
                      Text(
                        "Card Number",
                        style: TextStyle(
                            fontFamily: "SegoeRegular",
                            fontSize: 16,
                            color: grayLight),
                      ),
                      SizedBox(
                        height: 10,
                      ),
                      TextField(
                        keyboardType: TextInputType.number,
                        cursorColor: textColorBlack,
                        textAlignVertical: TextAlignVertical.center,
                        style: TextStyle(
                            color: textColorBlack,
                            fontFamily: "SegoeRegular",
                            fontSize: 16),
                        decoration: InputDecoration(
                            contentPadding: EdgeInsets.symmetric(
                                vertical: 10, horizontal: 10),
                            prefixIcon: Padding(
                              padding: const EdgeInsets.all(10.0),
                              child: SvgPicture.asset(number),
                            ),
                            suffixIcon: Padding(
                              padding: const EdgeInsets.all(10.0),
                              child: SvgPicture.asset(suffixIcon),
                            ),
                            hintText: "Enter Card Number",
                            hintStyle: TextStyle(
                                color: gray,
                                fontFamily: "SegoeRegular",
                                fontSize: 16),
                            enabledBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            focusedBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            errorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            focusedErrorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            fillColor: whiteF4,
                            filled: true,
                            isDense: true),
                      ),
                      SizedBox(
                        height: 20,
                      ),
                      Text(
                        "Cardholder Name",
                        style: TextStyle(
                            fontFamily: "SegoeRegular",
                            fontSize: 16,
                            color: grayLight),
                      ),
                      SizedBox(
                        height: 10,
                      ),
                      TextField(
                        obscureText: true,
                        keyboardType: TextInputType.visiblePassword,
                        cursorColor: textColorBlack,
                        textAlignVertical: TextAlignVertical.center,
                        style: TextStyle(
                            color: textColorBlack,
                            fontFamily: "SegoeRegular",
                            fontSize: 16),
                        decoration: InputDecoration(
                            contentPadding: EdgeInsets.symmetric(
                                vertical: Get.height / 73.82,
                                horizontal: Get.width / 39.27),
                            prefixIcon: Padding(
                              padding: const EdgeInsets.all(10.0),
                              child: SvgPicture.asset(personIcon),
                            ),
                            hintText: "Enter Password",
                            hintStyle: TextStyle(
                                color: gray,
                                fontFamily: "SegoeRegular",
                                fontSize: 16),
                            enabledBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            focusedBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            errorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            focusedErrorBorder: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(10),
                                borderSide: BorderSide(color: whiteF4)),
                            fillColor: whiteF4,
                            filled: true,
                            isDense: true),
                      ),
                      SizedBox(
                        height: 20,
                      ),
                      Row(
                        children: [
                          Text(
                            "Month",
                            style: TextStyle(
                                fontFamily: "SegoeRegular",
                                fontSize: 16,
                                color: grayLight),
                          ),
                          SizedBox(
                            width: 140,
                          ),
                          Text(
                            "Year",
                            style: TextStyle(
                                fontFamily: "SegoeRegular",
                                fontSize: 16,
                                color: grayLight),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 10,
                      ),
                      Row(
                        children: [
                          Expanded(
                            child: TextField(
                              obscureText: true,
                              keyboardType: TextInputType.number,
                              cursorColor: textColorBlack,
                              textAlignVertical: TextAlignVertical.center,
                              style: TextStyle(
                                  color: textColorBlack,
                                  fontFamily: "SegoeRegular",
                                  fontSize: 16),
                              decoration: InputDecoration(
                                  contentPadding: EdgeInsets.symmetric(
                                      vertical: Get.height / 73.82,
                                      horizontal: Get.width / 39.27),
                                  prefixIcon: Padding(
                                    padding: const EdgeInsets.all(10.0),
                                    child: SvgPicture.asset(calender),
                                  ),
                                  hintText: "Month",
                                  hintStyle: TextStyle(
                                      color: gray,
                                      fontFamily: "SegoeRegular",
                                      fontSize: 16),
                                  enabledBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  focusedBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  errorBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  focusedErrorBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  fillColor: whiteF4,
                                  filled: true,
                                  isDense: true),
                            ),
                          ),
                          SizedBox(
                            width: 20,
                          ),
                          Expanded(
                            child: TextField(
                              obscureText: true,
                              keyboardType: TextInputType.number,
                              cursorColor: textColorBlack,
                              textAlignVertical: TextAlignVertical.center,
                              style: TextStyle(
                                  color: textColorBlack,
                                  fontFamily: "SegoeRegular",
                                  fontSize: 16),
                              decoration: InputDecoration(
                                  contentPadding: EdgeInsets.symmetric(
                                      vertical: Get.height / 73.82,
                                      horizontal: Get.width / 39.27),
                                  prefixIcon: Padding(
                                    padding: const EdgeInsets.all(10.0),
                                    child: SvgPicture.asset(calender),
                                  ),
                                  hintText: "Year",
                                  hintStyle: TextStyle(
                                      color: gray,
                                      fontFamily: "SegoeRegular",
                                      fontSize: 16),
                                  enabledBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  focusedBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  errorBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  focusedErrorBorder: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(10),
                                      borderSide: BorderSide(color: whiteF4)),
                                  fillColor: whiteF4,
                                  filled: true,
                                  isDense: true),
                            ),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 30,
                      ),
                      Row(
                        children: [
                          Obx(() => InkWell(
                                onTap: () {
                                  addPaymentController.checkBool.value =
                                      !addPaymentController.checkBool.value;
                                },
                                child: Container(
                                  height: 25,
                                  width: 25,
                                  alignment: Alignment.center,
                                  child: addPaymentController.checkBool.isTrue
                                      ? Icon(
                                          Icons.check,
                                          color: blue,
                                          size: 15,
                                        )
                                      : SizedBox.shrink(),
                                  decoration: BoxDecoration(
                                      color: white,
                                      border:
                                          Border.all(color: blue, width: 2)),
                                ),
                              )),
                          SizedBox(
                            width: 20,
                          ),
                          Text(
                            "Remember this card details.",
                            style: TextStyle(
                                color: Color(0xff7A869A),
                                fontFamily: "SegoeRegular",
                                fontSize: 14),
                          ),
                        ],
                      ),
                      SizedBox(
                        height: 50,
                      ),
                      Center(
                        child: MaterialButton(
                          height: Get.height / 14.76,
                          minWidth: Get.width / 1.31,
                          onPressed: () {
                          },
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(50)),
                          color: blue,
                          child: Text(
                            "Buy Now",
                            style: TextStyle(
                                color: white,
                                fontFamily: "SegoeBold",
                                fontSize: 16),
                          ),
                        ),
                      ),
                      SizedBox(
                        height: 60,
                      ),
                    ],
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
