import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/editProfile_controller.dart';
import 'package:urban/controller/signIn_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

// ignore: must_be_immutable
class EditProfileScreen extends StatelessWidget {
  final EditProfileController editProfileController =
      Get.put(EditProfileController());
  final SignInController signInController = Get.put(SignInController());
  String selectedCountryCode = "";
  List<String> countryCodes = ['+91', '+23'];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF1,
      body: Column(
        children: [
          appBar(() {Navigator.pop(context);}, "Edit Profile"),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Container(
              width: Get.width,
              color: white,
              child: Padding(
                padding: EdgeInsets.symmetric(horizontal: 20.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SizedBox(
                      height: 20,
                    ),
                    Text(
                      "Full Name",
                      style: TextStyle(
                          fontSize: 14,
                          color: black00,
                          fontFamily: "RobotoRegular"),
                    ),
                    SizedBox(
                      height: 8,
                    ),
                    textField("Enter Name"),
                    SizedBox(
                      height: 20,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        Obx(
                          () => InkWell(
                            onTap: () {
                              if (editProfileController.mr.isTrue ||
                                  editProfileController.ms.isTrue) {
                                editProfileController.mr(false);
                                editProfileController.ms(false);
                              }
                              editProfileController.mr(true);
                            },
                            child: Container(
                              height: 24,
                              width: 24,
                              child: editProfileController.mr.isTrue
                                  ? Icon(
                                      Icons.check,
                                      color: white,
                                    )
                                  : Container(),
                              decoration: BoxDecoration(
                                  color: editProfileController.mr.isTrue
                                      ? black00
                                      : Colors.transparent,
                                  borderRadius: BorderRadius.circular(4),
                                  border: Border.all(
                                      color: editProfileController.mr.isTrue
                                          ? black00
                                          : gray97,
                                      width: 1)),
                            ),
                          ),
                        ),
                        SizedBox(
                          width: 16,
                        ),
                        Text(
                          "Mr...",
                          style: TextStyle(
                              fontFamily: "QuicksandMedium",
                              color: black00,
                              fontSize: 15),
                        ),
                        SizedBox(
                          width: 20,
                        ),
                        Obx(
                          () => InkWell(
                            onTap: () {
                              if (editProfileController.mr.isTrue ||
                                  editProfileController.ms.isTrue) {
                                editProfileController.mr(false);
                                editProfileController.ms(false);
                              }
                              editProfileController.ms(true);
                            },
                            child: Container(
                              height: 24,
                              width: 24,
                              child: editProfileController.ms.isTrue
                                  ? Icon(
                                      Icons.check,
                                      color: white,
                                    )
                                  : Container(),
                              decoration: BoxDecoration(
                                  color: editProfileController.ms.isTrue
                                      ? black00
                                      : Colors.transparent,
                                  borderRadius: BorderRadius.circular(4),
                                  border: Border.all(
                                      color: editProfileController.ms.isTrue
                                          ? black00
                                          : gray97,
                                      width: 1)),
                            ),
                          ),
                        ),
                        SizedBox(
                          width: 16,
                        ),
                        Text(
                          "Ms...",
                          style: TextStyle(
                              fontFamily: "QuicksandMedium",
                              color: black00,
                              fontSize: 15),
                        ),
                      ],
                    ),
                    SizedBox(
                      height: 20,
                    ),
                    Text(
                      "Email Address",
                      style: TextStyle(
                          fontSize: 14,
                          color: black00,
                          fontFamily: "RobotoRegular"),
                    ),
                    SizedBox(
                      height: 8,
                    ),
                    textField("Enter Email"),
                    SizedBox(
                      height: 27,
                    ),
                    Text(
                      "Phone number",
                      style: TextStyle(
                          fontSize: 14,
                          color: black00,
                          fontFamily: "RobotoRegular"),
                    ),
                    SizedBox(
                      height: 8,
                    ),
                    Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                              color: whiteLight,
                              borderRadius: BorderRadius.circular(8)),
                          height: 54.0,
                          width: 72,
                          child: DropdownButtonHideUnderline(
                            child: Obx(
                              () => DropdownButton<String>(
                                value: signInController.selectedValue.value,
                                items:
                                    signInController.countryCode.map((element) {
                                  return DropdownMenuItem<String>(
                                    child: Text(
                                      element,
                                      style: TextStyle(
                                          fontFamily: "RobotoRegular",
                                          color: black,
                                          fontSize: 16),
                                    ),
                                    alignment: Alignment.center,
                                    value: element,
                                  );
                                }).toList(),
                                onChanged: (newValue) {
                                  signInController.setSelected(newValue!);
                                },
                                isExpanded: true,
                                isDense: true,
                              ),
                            ),
                          ),
                        ),
                        SizedBox(
                          width: 8,
                        ),
                        Expanded(child: textField("Enter Phone"))
                      ],
                    ),
                    SizedBox(height: Get.height/8.91,),
                    Obx(
                      () => MaterialButton(
                        onPressed: () {},
                        color: editProfileController.mr.isFalse&&editProfileController.ms.isFalse?grayC5:blue,
                        height: 54,
                        minWidth: Get.width,
                        shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(20)),
                        child: Text(
                          "Update Now",
                          style: TextStyle(
                              color: white,
                              fontSize: 16,
                              fontFamily: "RobotoMedium"),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
