import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/bookingservices_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class BookingServicesScreen extends StatelessWidget {
  final BookingServicesController bookingServicesController =
      Get.put(BookingServicesController());

  @override
  Widget build(BuildContext context) {
    final List<Map> bookingList = [
      {
        "text": "How to book a service?",
        "onTap": () {
          bookingServicesController.openList[0] =
              !bookingServicesController.openList[0];
          bookingServicesController.openList[0];
        }
      },
      {
        "text": "How to cancel a booking?",
        "onTap": () {
          bookingServicesController.openList[1] =
              !bookingServicesController.openList[1];
          bookingServicesController.openList[1];
        }
      },
      {
        "text": "How to reschedule a booking?",
        "onTap": () {
          bookingServicesController.openList[2] =
              !bookingServicesController.openList[2];
          bookingServicesController.openList[2];
        }
      },
      {
        "text": "How to Know if my request is confirmed?",
        "onTap": () {
          bookingServicesController.openList[3] =
              !bookingServicesController.openList[3];
          bookingServicesController.openList[3];
        }
      },
      {
        "text": "How can i contact the professional?",
        "onTap": () {
          bookingServicesController.openList[4] =
              !bookingServicesController.openList[4];
          bookingServicesController.openList[4];
        }
      },
      {
        "text": "When will the professional reach for deliver ng service?",
        "onTap": () {
          bookingServicesController.openList[5] =
              !bookingServicesController.openList[5];
          bookingServicesController.openList[5];
        }
      },
      {
        "text": "How can I rate and review the service of a professional?",
        "onTap": () {
          bookingServicesController.openList[6] =
              !bookingServicesController.openList[6];
          bookingServicesController.openList[6];
        }
      },
      {
        "text":
            "How can I book the same professional again who delivered my last service?",
        "onTap": () {
          bookingServicesController.openList[7] =
              !bookingServicesController.openList[7];
          bookingServicesController.openList[7];
        }
      },
    ];
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "Booking Services"),
          Expanded(
            child: ScrollConfiguration(
              behavior: MyBehavior(),
              child: ListView.builder(
                itemCount: bookingList.length,
                shrinkWrap: true,
                itemBuilder: (context, index) => Padding(
                  padding: EdgeInsets.only(left: 20.0, right: 20, bottom: 10),
                  child: Obx(
                    () => Container(
                      width: Get.width,
                      child: Column(
                        children: [
                          Column(
                            children: [
                              ListTile(
                                onTap: bookingList[index]["onTap"],
                                leading: SizedBox(
                                  width: Get.width>450?350:270,
                                  child: Text(
                                    bookingList[index]["text"],
                                    maxLines: 2,
                                    style: TextStyle(
                                        color: black33,
                                        fontFamily: "RobotoMedium",
                                        fontSize: 15),
                                  ),
                                ),
                                trailing: Icon(
                                  bookingServicesController.openList[index] ==
                                          true
                                      ? Icons.keyboard_arrow_up
                                      : Icons.arrow_forward_ios,
                                  color: black33,
                                  size: bookingServicesController
                                              .openList[index] ==
                                          true
                                      ? 25
                                      : 16,
                                ),
                              ),
                              bookingServicesController.openList[index] == true
                                  ? Padding(
                                      padding: const EdgeInsets.symmetric(
                                          horizontal: 20.0),
                                      child: Column(
                                        mainAxisSize: MainAxisSize.min,
                                        children: [
                                          Text(
                                            "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                                            style: TextStyle(
                                                fontSize: 14,
                                                color: black33,
                                                fontFamily: "RobotoRegular"),
                                          ),
                                          SizedBox(
                                            height: 10,
                                          ),
                                          Text(
                                            "only five centuries, but also the leap intoelectronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets.",
                                            style: TextStyle(
                                                fontSize: 14,
                                                color: black33,
                                                fontFamily: "RobotoRegular"),
                                          ),
                                          SizedBox(
                                            height: 30,
                                          ),
                                        ],
                                      ),
                                    )
                                  : Container()
                            ],
                          ),
                        ],
                      ),
                      decoration: BoxDecoration(
                        color: white,
                        borderRadius: BorderRadius.circular(4),
                        boxShadow: [
                          BoxShadow(
                            color: black00.withOpacity(0.1),
                            blurRadius: 4,
                            spreadRadius: 0,
                            offset: Offset(0, 2),
                          ),
                        ],
                      ),
                    ),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
