import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/screen/profile/helpCenter/bookingService/bookingservice_screen.dart';
import 'package:urban/screen/profile/helpCenter/guideToCompany/guide_screen.dart';
import 'package:urban/screen/profile/helpCenter/payingServices/payingservices_screen.dart';
import 'package:urban/screen/profile/helpCenter/safety&covid19/safetyCovid_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';


class CustomerSupportScreen extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
     List<Map> customerSupportList=[
      {"text":"Safety & Covid-19 Queries","onTap":(){
        Navigator.push(context, MaterialPageRoute(builder: (context) => SafetyCovidScreen(),));
      }},
      {"text":"Booking Services","onTap":(){
        Navigator.push(context, MaterialPageRoute(builder: (context) => BookingServicesScreen(),));
      }},
      {"text":"Paying for services","onTap":(){
        Navigator.push(context, MaterialPageRoute(builder: (context) => PayingServicesScreen(),));
      }},
      {"text":"A guide to I2C Company","onTap":(){
        Navigator.push(context, MaterialPageRoute(builder: (context) => GuideScreen(),));
      }},
    ];

    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          appBar((){Navigator.pop(context);}, "Customer Support"),
          Expanded(
            child: ListView.builder(
              physics: NeverScrollableScrollPhysics(),
              itemCount: customerSupportList.length,
              shrinkWrap: true,
              itemBuilder: (context, index) => Padding(
                padding: EdgeInsets.only(
                    left: 20.0,
                    right: 20,
                    bottom: 10),
                child: Container(
                  height: 56,
                  width: Get.width,
                  child: ListTile(
                    onTap: customerSupportList[index]["onTap"],
                    leading: Text(
                      customerSupportList[index]["text"],
                      style: TextStyle(
                          color: black33,
                          fontFamily: "RobotoMedium",
                          fontSize: 17),
                    ),
                    trailing: Icon(
                      Icons.arrow_forward_ios,
                      color: black33,
                      size: 16,
                    ),
                  ),
                  decoration: BoxDecoration(
                    color: white,
                    borderRadius: BorderRadius.circular(4),
                    boxShadow: [
                      BoxShadow(
                        color: black00.withOpacity(0.1),
                        blurRadius: 4,
                        spreadRadius: 0,
                        offset: Offset(0, 2),
                      ),
                    ],
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
