import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/payingservices_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class PayingServicesScreen extends StatelessWidget {
  final PayingServicesController payingServicesController =
  Get.put(PayingServicesController());

  @override
  Widget build(BuildContext context) {
    final List<Map> bookingList = [
      {
        "text": "How to pay for the services?",
        "onTap": () {
          payingServicesController.openList[0] =
          !payingServicesController.openList[0];
          payingServicesController.openList[0];
        }
      },
      {
        "text": "How to use I2C credits?",
        "onTap": () {
          payingServicesController.openList[1] =
          !payingServicesController.openList[1];
          payingServicesController.openList[1];
        }
      },
      {
        "text": "Refund policy",
        "onTap": () {
          payingServicesController.openList[2] =
          !payingServicesController.openList[2];
          payingServicesController.openList[2];
        }
      },
    ];
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "Paying for services"),
          Expanded(
            child: ScrollConfiguration(
              behavior: MyBehavior(),
              child: ListView.builder(
                itemCount: bookingList.length,
                shrinkWrap: true,
                itemBuilder: (context, index) => Padding(
                  padding: EdgeInsets.only(left: 20.0, right: 20, bottom: 10),
                  child: Obx(
                        () => Container(
                      width: Get.width,
                      child: Column(
                        children: [
                          Column(
                            children: [
                              ListTile(
                                onTap: bookingList[index]["onTap"],
                                leading: SizedBox(
                                  width: Get.width>450?350:270,
                                  child: Text(
                                    bookingList[index]["text"],
                                    maxLines: 2,
                                    style: TextStyle(
                                        color: black33,
                                        fontFamily: "RobotoMedium",
                                        fontSize: 15),
                                  ),
                                ),
                                trailing: Icon(
                                  payingServicesController.openList[index] ==
                                      true
                                      ? Icons.keyboard_arrow_up
                                      : Icons.arrow_forward_ios,
                                  color: black33,
                                  size: payingServicesController
                                      .openList[index] ==
                                      true
                                      ? 25
                                      : 16,
                                ),
                              ),
                              payingServicesController.openList[index] == true
                                  ? Padding(
                                padding: const EdgeInsets.symmetric(
                                    horizontal: 20.0),
                                child: Column(
                                  mainAxisSize: MainAxisSize.min,
                                  children: [
                                    Text(
                                      "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                                      style: TextStyle(
                                          fontSize: 14,
                                          color: black33,
                                          fontFamily: "RobotoRegular"),
                                    ),
                                    SizedBox(
                                      height: 10,
                                    ),
                                    Text(
                                      "only five centuries, but also the leap intoelectronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets.",
                                      style: TextStyle(
                                          fontSize: 14,
                                          color: black33,
                                          fontFamily: "RobotoRegular"),
                                    ),
                                    SizedBox(
                                      height: 30,
                                    ),
                                  ],
                                ),
                              )
                                  : Container()
                            ],
                          ),
                        ],
                      ),
                      decoration: BoxDecoration(
                        color: white,
                        borderRadius: BorderRadius.circular(4),
                        boxShadow: [
                          BoxShadow(
                            color: black00.withOpacity(0.1),
                            blurRadius: 4,
                            spreadRadius: 0,
                            offset: Offset(0, 2),
                          ),
                        ],
                      ),
                    ),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
