import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/covid_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class SafetyCovidScreen extends StatelessWidget {
  final SafetyCovidController safetyCovidController =
      Get.put(SafetyCovidController());

  @override
  Widget build(BuildContext context) {
    final List<Map> safetyList = [
      {
        "text": "Is the I2C service safe and hygienic?",
        "onTap": () {
          safetyCovidController.listOpen[0] =
              !safetyCovidController.listOpen[0];
          safetyCovidController.listOpen[0];
        }
      },
      {
        "text": "Is the I2C service safe and hygienic?",
        "onTap": () {
          safetyCovidController.listOpen[1] =
              !safetyCovidController.listOpen[1];
          safetyCovidController.listOpen[1];
        }
      },
      {
        "text": "Do I2C professional use Aarogyasetu app?",
        "onTap": () {
          safetyCovidController.listOpen[2] =
              !safetyCovidController.listOpen[2];
          safetyCovidController.listOpen[2];
        }
      },
      {
        "text": "What is I2C doing to help service Partners?",
        "onTap": () {
          safetyCovidController.listOpen[3] =
              !safetyCovidController.listOpen[3];
          safetyCovidController.listOpen[3];
        }
      }
    ];
    return Scaffold(
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "Safety & Covid-19 Queries"),
          Expanded(
            child: ScrollConfiguration(
              behavior: MyBehavior(),
              child: ListView.builder(
                itemCount: safetyList.length,
                shrinkWrap: true,
                itemBuilder: (context, index) => Padding(
                  padding: EdgeInsets.only(
                      left: 20.0,
                      right: 20,
                      bottom: 10),
                  child: Obx(
                    () => Container(
                      width: Get.width,
                      child: Column(
                        children: [
                          ListTile(
                            onTap: safetyList[index]["onTap"],
                            leading: SizedBox(
                              width:Get.width>450?350: 270,
                              child: Text(
                                safetyList[index]["text"],
                                maxLines: 2,
                                style: TextStyle(
                                    color: black33,
                                    fontFamily: "RobotoMedium",
                                    fontSize: 15),
                              ),
                            ),
                            trailing: Icon(
                              safetyCovidController.listOpen[index] == true
                                  ? Icons.keyboard_arrow_up
                                  : Icons.arrow_forward_ios,
                              color: black33,
                              size:
                                  safetyCovidController.listOpen[index] == true
                                      ? 25
                                      : 16,
                            ),
                          ),
                          safetyCovidController.listOpen[index] == true
                              ? Padding(
                                  padding: const EdgeInsets.symmetric(
                                      horizontal: 20.0),
                                  child: Column(
                                    mainAxisSize: MainAxisSize.min,
                                    children: [
                                      Text(
                                        "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                                        style: TextStyle(
                                            fontSize: 14,
                                            color: black33,
                                            fontFamily: "RobotoRegular"),
                                      ),
                                      SizedBox(
                                        height: 10,
                                      ),
                                      Text(
                                        "only five centuries, but also the leap intoelectronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets.",
                                        style: TextStyle(
                                            fontSize: 14,
                                            color: black33,
                                            fontFamily: "RobotoRegular"),
                                      ),
                                      SizedBox(
                                        height: 30,
                                      ),
                                    ],
                                  ),
                                )
                              : Container()
                        ],
                      ),
                      decoration: BoxDecoration(
                        color: white,
                        borderRadius: BorderRadius.circular(4),
                        boxShadow: [
                          BoxShadow(
                            color: black00.withOpacity(0.1),
                            blurRadius: 4,
                            spreadRadius: 0,
                            offset: Offset(0, 2),
                          ),
                        ],
                      ),
                    ),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
