import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/screen/profile/addPayment/addpayment_screen.dart';
import 'package:urban/screen/profile/editProfile/editProfile_screen.dart';
import 'package:urban/screen/profile/helpCenter/customerSupport_screen.dart';
import 'package:urban/screen/profile/privacyPolicy/privacy_screen.dart';
import 'package:urban/screen/profile/rating/rating_screen.dart';
import 'package:urban/screen/profile/scheduledBookings/schedulebooking_screen.dart';
import 'package:urban/screen/profile/termCondition/termscondition_screen.dart';
import 'package:urban/screen/signIn/signIn_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class ProfileScreen extends StatelessWidget {
  final List<Map> profileList = [
    {"image": helpCenter, "text": "Help Center"},
    {"image": aboutCompany, "text": "About I2C Company"},
    {"image": rating, "text": "My Rating"},
    {"image": schedule, "text": "Scheduled Booking"},
    {"image": rateUs, "text": "Rate Us"},
    {"image": addPayment, "text": "Add Payment Method"},
    {"image": privacyPolicy, "text": "Privacy policy"},
    {"image": termsCondition, "text": "Terms and conditions"},
    {"image": logOut, "text": "Logout"},
  ];

  @override
  Widget build(BuildContext context) {
    List onTap = [
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => CustomerSupportScreen(),
            ));
      },
      () {},
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => RatingScreen(),
            ));
      },
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => ScheduleBookingScreen(),
            ));
      },
      () {},
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => AddPaymentScreen(),
            ));
      },
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => PrivacyScreen(),
            ));
      },
      () {
        Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => TermsConditionScreen(),
            ));
      },
      () {
        Get.defaultDialog(
            title: "",
            titlePadding: EdgeInsets.zero,
            contentPadding: EdgeInsets.zero,
            content: Padding(
              padding: EdgeInsets.symmetric(horizontal: 25.0),
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Text(
                    "Logout?",
                    style: TextStyle(
                        fontSize: 18, fontFamily: "RobotoBold", color: blue),
                  ),
                  SizedBox(
                    height: 10,
                  ),
                  Text(
                    "You can always access your content by Signing back in",
                    textAlign: TextAlign.center,
                    style: TextStyle(
                        fontSize: 16,
                        fontFamily: "RobotoRegular",
                        color: gray80),
                  ),
                  SizedBox(
                    height: 20,
                  ),
                  Divider(
                    color: Color(0xffEDEDED),
                    thickness: 1,
                  ),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                    children: [
                      InkWell(
                        onTap:(){
                          Get.back();
                        },
                        child: Text(
                          "Cancel",
                          style: TextStyle(
                              fontSize: 16,
                              fontFamily: "RobotoRegular",
                              color: blue
                          ),
                        ),
                      ),
                      SizedBox(
                        height: 32,
                        child: VerticalDivider(
                          thickness: 2,
                          color: Color(0xffEDEDED),
                        ),
                      ),
                      InkWell(
                        onTap: (){
                          Get.off(()=>SignInScreen());
                        },
                        child: Text(
                          "Logout",
                          style: TextStyle(
                              fontSize: 16,
                              fontFamily: "RobotoBold",
                              color: redDark),
                        ),
                      )
                    ],
                  )
                ],
              ),
            ));
      },
    ];

    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          Container(
            height: 122,
            width: Get.width,
            color: white,
            alignment: Alignment.center,
            child: Padding(
              padding: EdgeInsets.only(top: 30),
              child: Text(
                "My Profile",
                style: TextStyle(
                    fontSize: 20, color: black, fontFamily: "RobotoBold"),
              ),
            ),
          ),
          SizedBox(
            height: 20,
          ),
          Text(
            "Verified Customer",
            style: TextStyle(
                fontSize: 20, color: black, fontFamily: "RobotoMedium"),
          ),
          SizedBox(
            height: 7,
          ),
          Text(
            "+91 12345 67890",
            style: TextStyle(
                fontSize: 16, color: black, fontFamily: "RobotoRegular"),
          ),
          MaterialButton(
            onPressed: () {
              Navigator.push(
                  context,
                  MaterialPageRoute(
                    builder: (context) => EditProfileScreen(),
                  ));
            },
            height: 29,
            minWidth: 141,
            child: Text(
              "Edit Profile",
              style: TextStyle(
                  fontSize: 14, color: blue, fontFamily: "RobotoRegular"),
            ),
            shape: RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(10),
                side: BorderSide(color: blue, width: 1)),
          ),
          SizedBox(
            height: 25,
          ),
          Expanded(
            child: ScrollConfiguration(
              behavior: MyBehavior(),
              child: ListView.builder(
                padding: EdgeInsets.zero,
                itemCount: profileList.length,
                shrinkWrap: true,
                itemBuilder: (context, index) => Padding(
                  padding: EdgeInsets.only(
                      left: 20.0,
                      right: 20,
                      bottom: index == 7
                          ? 30
                          : index == 8
                              ? 35
                              : 10),
                  child: Container(
                    height: 56,
                    width: Get.width,
                    child: ListTile(
                      onTap: onTap[index],
                      leading: SvgPicture.asset(profileList[index]["image"]),
                      title: Text(
                        profileList[index]["text"],
                        style: TextStyle(
                            color: index == 8 ? redDark : black33,
                            fontFamily: "RobotoMedium",
                            fontSize: 17),
                      ),
                      trailing: Icon(
                        Icons.arrow_forward_ios,
                        color: black33,
                        size: 16,
                      ),
                    ),
                    decoration: BoxDecoration(
                      color: white,
                      borderRadius: BorderRadius.circular(4),
                      boxShadow: [
                        BoxShadow(
                          color: black00.withOpacity(0.1),
                          blurRadius: 4,
                          spreadRadius: 0,
                          offset: Offset(0, 2),
                        ),
                      ],
                    ),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
