import 'package:flutter/material.dart';
import 'package:flutter_rating_bar/flutter_rating_bar.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';
import 'package:urban/utills/images.dart';

class RatingScreen extends StatelessWidget {
  final List<Map> ratingList = [
    {
      "image": person1Description,
      "text": "Sara Bareilles",
      "subText": "Best service ever seen.",
      "rating": 4.0
    },
    {
      "image": person1Description,
      "text": "John Doe",
      "subText": "Best service ever seen.",
      "rating": 5.0
    },
    {
      "image": person1Description,
      "text": "Sara Bella",
      "subText": "Best service ever seen.",
      "rating": 5.0
    },
    {
      "image": person1Description,
      "text": "Sara Bareilles",
      "subText": "Best service ever seen.",
      "rating": 3.0
    },
    {
      "image": person1Description,
      "text": "John Doe",
      "subText": "Best service ever seen.",
      "rating": 4.0
    },
    {
      "image": person1Description,
      "text": "Sara Bella",
      "subText": "Best service ever seen.",
      "rating": 5.0
    },
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "My Rating"),
          Expanded(
            child: Padding(
              padding: EdgeInsets.symmetric(horizontal: 18.0),
              child: ListView.builder(
                itemCount: ratingList.length,
                itemBuilder: (context, index) => Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Container(
                    height: 76,
                    width: Get.width,
                    alignment: Alignment.center,
                    child: ListTile(
                      // contentPadding: EdgeInsets.zero,
                      leading: Container(
                        height: 50,
                        width: 50,
                        decoration: BoxDecoration(
                          borderRadius: BorderRadius.circular(20),
                          image: DecorationImage(
                            image: AssetImage(ratingList[index]["image"]),
                          ),
                        ),
                      ),
                      title: Text(
                        ratingList[index]["text"],
                        style: TextStyle(
                            fontFamily: "RobotoMedium",
                            fontSize: 14,
                            color: black),
                      ),
                      subtitle: Text(
                        ratingList[index]["subText"],
                        style: TextStyle(
                            fontFamily: "RobotoRegular",
                            fontSize: 12,
                            color: gray95),
                      ),
                      trailing: RatingBar.builder(
                        initialRating: ratingList[index]["rating"],
                        minRating: 1,
                        direction: Axis.horizontal,
                        allowHalfRating: true,
                        itemCount: 5,
                        itemSize: 18,
                        unratedColor: gray95,
                        itemPadding: EdgeInsets.symmetric(horizontal: 1.0),
                        itemBuilder: (context, index) => Icon(
                          Icons.star,
                          color: yellowDark,
                        ),
                        onRatingUpdate: (rating) {
                          print(rating);
                        },
                      ),
                    ),
                    decoration: BoxDecoration(
                        color: white, borderRadius: BorderRadius.circular(15)),
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
