import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:urban/controller/signIn_controller.dart';
import 'package:urban/screen/bottom_navigation/dashboard_screen.dart';
import 'package:urban/screen/location/location_screen.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/images.dart';

class SignInScreen extends StatelessWidget {
  final SignInController signInController = Get.put(SignInController());
  final String selectedCountryCode = "";
  final List<String> countryCodes = ['+91', '+23'];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Padding(
        padding: EdgeInsets.symmetric(horizontal: 20.0),
        child: Column(
          children: [
            SizedBox(
              height: 70,
            ),
            Align(
                alignment: Alignment.topRight,
                child: InkWell(
                  onTap: (){
                    Navigator.pushAndRemoveUntil(
                      context,
                      MaterialPageRoute(
                        builder: (BuildContext context) => DashBoardScreen(),
                      ),
                          (route) => false,
                    );
                  },
                  child: Text(
                    "Skip",
                    style: TextStyle(
                        fontFamily: "RobotoMedium", color: blue, fontSize: 16),
                  ),
                )),
            SizedBox(
              height: 30,
            ),
            SvgPicture.asset(appLogo, height: 80),
            SizedBox(
              height: 35,
            ),
            Text(
              "Your Home Services Expert",
              style: TextStyle(
                  fontFamily: "RobotoMedium", color: black, fontSize: 22),
            ),
            Text(
              "Quick - Affordable - Trusted",
              style: TextStyle(
                  fontFamily: "RobotoRegular", color: grayDark, fontSize: 15),
            ),
            SizedBox(
              height: 50,
            ),
            Align(
              alignment: Alignment.topLeft,
              child: Text(
                "Phone number",
                style: TextStyle(
                    fontFamily: "RobotoRegular", color: black00, fontSize: 14),
              ),
            ),
            SizedBox(
              height: 8,
            ),
            Row(
              children: [
                Container(
                  decoration: BoxDecoration(
                    color: whiteLight,
                    borderRadius: BorderRadius.circular(8)
                  ),
                  height: 49.0,
                  width: 72,
                  child: DropdownButtonHideUnderline(
                    child: Obx(
                      () => DropdownButton<String>(
                        value: signInController.selectedValue.value,
                        items: signInController.countryCode.map((element) {
                          return DropdownMenuItem<String>(
                            child: Text(element,style: TextStyle(
                                fontFamily: "RobotoRegular", color: black, fontSize: 16),),
                            alignment: Alignment.center,
                            value: element,
                          );
                        }).toList(),
                        onChanged: (newValue) {
                          signInController.setSelected(newValue!);
                        },
                        isExpanded: true,
                        isDense: true,
                      ),
                    ),
                  ),
                ),
                SizedBox(width: 8,),
                Expanded(
                  child: Container(
                    height: 49,
                    decoration: BoxDecoration(
                      color: whiteLight,
                      borderRadius: BorderRadius.circular(8)
                    ),
                    child: TextField(
                      style: TextStyle(
                          fontFamily: "RobotoRegular", color: black, fontSize: 16),
                      keyboardType: TextInputType.phone,
                      decoration: InputDecoration(
                        hintText: "Enter Phone Number",
                        border: InputBorder.none,
                        contentPadding: EdgeInsets.only(left: 20)
                      ),
                    ),
                  ),
                )
              ],
            ),
            SizedBox(
              height: 200,
            ),
            MaterialButton(
              onPressed: () {
                  Get.to(LocationScreen());
              },
              color: blue,
              height: 54,
              minWidth: Get.width,
              shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(20)
              ),
              child: Text("Login / SignUp",
                style: const TextStyle(
                    color: white,fontSize: 16,fontFamily: "RobotoMedium"
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
